webpackJsonp([9],{

/***/ 114:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BanglaPdfPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__view_pdf_view_pdf__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(34);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var BanglaPdfPage = (function () {
    function BanglaPdfPage(platform, file, ga, modalCtrl, navCtrl, navParams, viewCtrl) {
        this.platform = platform;
        this.file = file;
        this.ga = ga;
        this.modalCtrl = modalCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.storageDirectory = '';
        this.checkBoomark1 = false;
        this.checkBoomark2 = false;
        this.checkBoomark3 = false;
        this.checkBoomark4 = false;
        this.checkBoomark5 = false;
        this.checkBoomark6 = false;
        this.checkBoomark7 = false;
        this.checkBoomark8 = false;
        this.ga.trackEvent("Bangla", "Dashboard", "label", 1, true);
    }
    BanglaPdfPage.prototype.openPDF = function (item, lang, vol) {
        // this.navCtrl.push(ViewPdfPage, {pdfLink: item});
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__view_pdf_view_pdf__["a" /* ViewPdfPage */], {
            displayData: {
                pdfSource: {
                    url: item,
                    lang: lang,
                    vol: vol,
                }
            }
        });
        modal.present();
    };
    BanglaPdfPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad EngPdfPage');
    };
    BanglaPdfPage.prototype.ionViewDidEnter = function () {
        var numbers = [1, 2, 3, 4, 5, 6, 7, 8];
        for (var _i = 0, numbers_1 = numbers; _i < numbers_1.length; _i++) {
            var number = numbers_1[_i];
            this.checkBoomark(number);
        }
    };
    BanglaPdfPage.prototype.checkBoomark = function (item) {
        var _this = this;
        if (this.platform.is('ios')) {
            this.storageDirectory = cordova.file.documentsDirectory;
        }
        else if (this.platform.is('android')) {
            this.storageDirectory = cordova.file.applicationStorageDirectory;
        }
        this.file.checkFile(this.storageDirectory, "ba/" + item + ".pdf").then(function (files) {
            if (item == 1) {
                _this.checkBoomark1 = true;
            }
            if (item == 2) {
                _this.checkBoomark2 = true;
            }
            if (item == 3) {
                _this.checkBoomark3 = true;
            }
            if (item == 4) {
                _this.checkBoomark4 = true;
            }
            if (item == 5) {
                _this.checkBoomark5 = true;
            }
            if (item == 6) {
                _this.checkBoomark6 = true;
            }
            if (item == 7) {
                _this.checkBoomark7 = true;
            }
            if (item == 8) {
                _this.checkBoomark8 = true;
            }
        }).catch(function (err) {
        });
    };
    return BanglaPdfPage;
}());
BanglaPdfPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-bangla-pdf',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/bangla-pdf/bangla-pdf.html"*/'<!--\n  Generated template for the BanglaPdfPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>তাফসীরে মারেফুল কোরআন</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding class="bgImg">\n    <ion-list >\n        <button class="bgColor" ion-item (click)="openPDF(\'ba/1.pdf\',\'ba\',\'1\')">\n           <h2> <ion-icon name="book"></ion-icon>  আয়তন 1 </h2><span class="surahCol">Surah Al-Fatiha &amp; Surah Al-Baqara</span>\n           <div *ngIf="checkBoomark1 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n        </button> \n        <button class="bgColor" ion-item (click)="openPDF(\'ba/2.pdf\', \'ba\', \'2\')">\n            <h2> <ion-icon name="book"></ion-icon>  আয়তন 2 </h2><span class="surahCol">Surah Al-Imran to Surah An-Nisa</span>\n            <div *ngIf="checkBoomark2 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'ba/3.pdf\', \'ba\', \'3\')">\n            <h2> <ion-icon name="book"></ion-icon>  আয়তন 3 </h2><span class="surahCol">Surah Al-Ma\'ida to Surah Al-A\'raf</span>\n            <div *ngIf="checkBoomark3 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'ba/4.pdf\', \'ba\', \'4\')">\n            <h2> <ion-icon name="book"></ion-icon>  আয়তন 4 </h2><span class="surahCol">Surah Al-Anfal to Surah Hud</span>\n            <div *ngIf="checkBoomark4 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'ba/5.pdf\', \'ba\', \'5\')">\n            <h2> <ion-icon name="book"></ion-icon>  আয়তন 5 </h2><span class="surahCol">Surah Yusuf to Surah Al-Kahf</span>\n            <div *ngIf="checkBoomark5 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button>  \n         <button class="bgColor"  ion-item (click)="openPDF(\'ba/6.pdf\', \'ba\', \'6\')">\n            <h2> <ion-icon name="book"></ion-icon>  আয়তন 6 </h2><span class="surahCol">Surah Maryam to Surah Ar-Rum</span>\n            <div *ngIf="checkBoomark6 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'ba/7.pdf\', \'ba\', \'7\')">\n            <h2> <ion-icon name="book"></ion-icon>  আয়তন 7 </h2><span class="surahCol">Surah Luqman to Surah Al-Ahqaf</span>\n            <div *ngIf="checkBoomark7 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button  class="bgColor"  ion-item (click)="openPDF(\'ba/8.pdf\', \'ba\', \'8\')">\n            <h2> <ion-icon name="book"></ion-icon>  আয়তন 8 </h2><span class="surahCol">Surah Muhammad to Surah Al-Nas</span>\n            <div *ngIf="checkBoomark8 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n      </ion-list>\n</ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/bangla-pdf/bangla-pdf.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ViewController */]])
], BanglaPdfPage);

//# sourceMappingURL=bangla-pdf.js.map

/***/ }),

/***/ 115:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BioPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_network__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the BioPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BioPage = (function () {
    function BioPage(network, ga, viewCtrl, navCtrl, navParams) {
        this.network = network;
        this.ga = ga;
        this.viewCtrl = viewCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.myTracks = [];
        this.playlist = [];
        this.currentIndex = -1;
        this.autoplay = true;
        this.netStatus = true;
        this.ga.trackEvent("Bio", "Bio Dashboard", "label", 1, true);
        if (this.network.type !== 'none') {
            this.netStatus = true;
        }
        else {
            this.netStatus = false;
        }
    }
    BioPage.prototype.play = function (track, index) {
        this.currentTrack = track;
        this.currentIndex = index;
    };
    BioPage.prototype.pause = function (track, index) {
        this.myTracks = [];
        this.currentTrack = this.myTracks;
        this.currentIndex = -1;
    };
    BioPage.prototype.ionViewWillLeave = function () {
        this.pause(this.myTracks, 0);
        this.viewCtrl.dismiss();
    };
    BioPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad BioPage');
        this.myTracks = [];
        this.myTracks = { src: "http://www.ummahnet.com/maariful-Quran/android/MuftiSabInterview.mp3", artist: "0.1", title: "Mufti Mohammad Shafi Usmani (Rahimahullah)", art: "", preload: "metadata" };
        this.play(this.myTracks, 0);
    };
    return BioPage;
}());
BioPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-bio',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/bio/bio.html"*/'<!--\n  Generated template for the BioPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>Autobiography</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding class="bgImg">\n  <div *ngIf="netStatus == true">\n    <div *ngIf="audioTrack && audioTrack.hasLoaded">\n        <h3 class="cnt">{{ audioTrack?.title }}</h3>\n      </div>\n      <audio-track #audioTrack [track]="currentTrack" [autoplay]="true" (onFinish)="onTrackFinished($event)">\n          <div>\n            <button ion-button icon-only (click)="audioTrack.canPlay ? audioTrack.play() : next()"><ion-icon name="play"></ion-icon></button>\n            <button ion-button icon-only (click)="audioTrack.pause()"><ion-icon name="pause"></ion-icon></button>\n           </div>\n          <div style="width: 80%;">\n           <audio-track-progress-bar duration progress [audioTrack]="audioTrack" style="width: 100%; margin: 0 10px"></audio-track-progress-bar>       \n          </div>\n          <div style="display: flex; justify-content: center;">        \n            <ion-spinner *ngIf="audioTrack && audioTrack.isLoading"></ion-spinner>\n          </div>\n        </audio-track>\n    </div>\n    <div *ngIf="netStatus == false"><h4 style="color:red">You need network connection to listen to Autobiography in Audio.</h4></div>\n    <div style="background-color: #fff; opacity:.8" padding>\n    <p>This is a priceless and rare lecture in which we find out about Hazart Mufti Muhammad Shafi Usmani Rahimahullah from his own words, and he talks about the great scholars of the past of Darul Uloom deoband as well as darul Uloom Karachi. It is originally in urdu but has the translation in ENGLISH as well.</p>     <p>The profile of the Sheikh has not been given, because he himself will talk about his life, but suffice to know he is the father of Mufti Taqi Usmani and Mufti Rafi Usmani.</p>  <p>In this invaluable lecture Hazart Mufti Muhammad Shafi Usmani Rahimahullah talk about various issues pertaining to his life such as:</p><ul><li>-His childhood, education and teachers.</li><li>-Where Sheikh travelled troughout his life.</li><li>-How Darul Uloom Karachi was established?</li><li>-The involvement of the Ulamah in the establishment of Pakistan.</li><li>-About the sage Shaykhul-Hind Maulana Mahmoodul Hasan (RA).</li></ul>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/bio/bio.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__ionic_native_network__["a" /* Network */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ViewController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */]])
], BioPage);

//# sourceMappingURL=bio.js.map

/***/ }),

/***/ 124:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 124;

/***/ }),

/***/ 166:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/audio/audio.module": [
		300,
		8
	],
	"../pages/bangla-pdf/bangla-pdf.module": [
		305,
		7
	],
	"../pages/bio/bio.module": [
		307,
		6
	],
	"../pages/bookmarks/bookmarks.module": [
		302,
		5
	],
	"../pages/eng-pdf/eng-pdf.module": [
		304,
		4
	],
	"../pages/play-audio/play-audio.module": [
		301,
		3
	],
	"../pages/ur-pdf/ur-pdf.module": [
		306,
		2
	],
	"../pages/view-pdf/view-pdf.module": [
		303,
		1
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 166;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 211:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__home_home__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__eng_pdf_eng_pdf__ = __webpack_require__(60);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ur_pdf_ur_pdf__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__audio_audio__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__bookmarks_bookmarks__ = __webpack_require__(48);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var TabsPage = (function () {
    function TabsPage() {
        // this tells the tabs component which Pages
        // should be each tab's root Page
        this.tab1Root = __WEBPACK_IMPORTED_MODULE_1__home_home__["a" /* HomePage */];
        this.tab2Root = __WEBPACK_IMPORTED_MODULE_4__audio_audio__["a" /* AudioPage */];
        this.tab3Root = __WEBPACK_IMPORTED_MODULE_3__ur_pdf_ur_pdf__["a" /* UrPdfPage */];
        this.tab4Root = __WEBPACK_IMPORTED_MODULE_2__eng_pdf_eng_pdf__["a" /* EngPdfPage */];
        this.tab5Root = __WEBPACK_IMPORTED_MODULE_5__bookmarks_bookmarks__["a" /* BookmarksPage */];
    }
    return TabsPage;
}());
TabsPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/tabs/tabs.html"*/'<ion-tabs>\n\n  <ion-tab [root]="tab1Root" tabTitle="Home" tabIcon="home"></ion-tab>  \n\n  <ion-tab [root]="tab2Root" tabTitle="Audio" tabIcon="volume-up"></ion-tab>\n\n  <ion-tab [root]="tab3Root" tabTitle="Urdu" tabIcon="book"></ion-tab>\n\n  <ion-tab [root]="tab4Root" tabTitle="English" tabIcon="book"></ion-tab>\n\n  <ion-tab [root]="tab5Root" tabTitle="My Bookmarks" tabIcon="bookmark"></ion-tab>\n\n</ion-tabs>\n\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/tabs/tabs.html"*/
    }),
    __metadata("design:paramtypes", [])
], TabsPage);

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 212:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__eng_pdf_eng_pdf__ = __webpack_require__(60);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__bangla_pdf_bangla_pdf__ = __webpack_require__(114);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ur_pdf_ur_pdf__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__info_info__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__audio_audio__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__bio_bio__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__view_pdf_view_pdf__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_network__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};












var HomePage = (function () {
    function HomePage(http, network, ga, navCtrl, modalCtrl) {
        this.http = http;
        this.network = network;
        this.ga = ga;
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.AudioPage = __WEBPACK_IMPORTED_MODULE_7__audio_audio__["a" /* AudioPage */];
        this.UrduPage = __WEBPACK_IMPORTED_MODULE_5__ur_pdf_ur_pdf__["a" /* UrPdfPage */];
        this.EnglishPage = __WEBPACK_IMPORTED_MODULE_3__eng_pdf_eng_pdf__["a" /* EngPdfPage */];
        this.bio = __WEBPACK_IMPORTED_MODULE_8__bio_bio__["a" /* BioPage */];
        this.BanglaPage = __WEBPACK_IMPORTED_MODULE_4__bangla_pdf_bangla_pdf__["a" /* BanglaPdfPage */];
        this.ga.trackEvent("Home Page", "Dashboard", "label", 1, true);
        if (this.network.type !== 'none') {
            this.getADs();
        }
        /*
            this.firebase.getToken()
            .then(token => console.log(`The token is ${token}`)) // save the token server-side and use it to push notifications to this device
            .catch(error => console.error('Error getting token', error));
          
            this.firebase.onTokenRefresh()
            .subscribe((token: string) => console.log(`Got a new token ${token}`));
        */
    }
    HomePage.prototype.getADs = function () {
        var _this = this;
        if (this.network.type !== 'none') {
            this.ad = this.http.get('http://www.ummahnet.com/mobileADs/maarifulQuran.JSON');
            this.ad
                .map(function (res) { return res.json(); })
                .subscribe(function (data) {
                _this.adList = data;
                // console.log(JSON.stringify(data));
            });
        }
    };
    HomePage.prototype.ionViewDidLeave = function () {
        // this.viewCtrl.dismiss();
    };
    HomePage.prototype.gotoInfo = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__info_info__["a" /* InfoPage */]);
    };
    HomePage.prototype.openPDF = function (item, lang, vol) {
        // this.navCtrl.push(ViewPdfPage, {pdfLink: item});
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_9__view_pdf_view_pdf__["a" /* ViewPdfPage */], {
            displayData: {
                pdfSource: {
                    url: item,
                    lang: lang,
                    vol: vol,
                }
            }
        });
        modal.present();
    };
    return HomePage;
}());
HomePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-home',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/home/home.html"*/'<ion-header>\n\n  <ion-navbar color="primary" class="cnt">\n\n    <div > \n\n        <img src="assets/img/bismillah.png" height="40">\n\n   </div>  \n\n        <ion-buttons end id="circleAz">            \n\n            <a  (click)="gotoInfo();"><img  src="assets/img/infoIcon.png" height="24px;" /></a>\n\n        </ion-buttons>\n\n  </ion-navbar>\n\n  \n\n</ion-header>\n\n\n\n<ion-content >\n\n    \n\n    <div class="ad cnt bgImg" *ngIf="adList">\n\n      <!--   <a [href]="adList.iOSLink" ><img [src]="adList.image"/></a> -->\n\n        <a [href]="adList.androidLink" ><img [src]="adList.image"/></a>\n\n        \n\n    </div>\n\n    <div class="cnt bgImg">\n\n        <img src="assets/img/mqBooks.png" />\n\n    </div>  \n\n        \n\n\n\n    <div class="btn-group" >          \n\n        <button class="btnNew" [navPush]="AudioPage" style="margin-bottom: 0px !important">\n\n            <span class="surahNameUrdu" style="font-size:2.5em;color:#333;"> اُردُو   <ion-icon name="volume-up"></ion-icon>  آڈیو </span>\n\n        </button>\n\n    </div>\n\n    <div style="text-align:center;background-image:url(\'assets/img/bg.png\');padding-top:8px;">\n\n        <button ion-button color="primary" [navPush]="BanglaPage"><div class="surahName" style="font-size:1.2em;color:#333;"> <ion-icon name="book"> বাংলা </ion-icon></div></button>\n\n        <button ion-button color="primary" [navPush]="EnglishPage"><div class="surahName" style="font-size:1.2em;color:#333;"> <ion-icon name="book"> English </ion-icon></div></button>\n\n        <button ion-button color="primary" [navPush]="UrduPage"><div class="surahName" style="font-size:1.7em;color:#333;"><strong>اُردُو</strong>   <ion-icon name="book"> </ion-icon></div></button>\n\n   \n\n    <div class="btn-group ">\n\n        <button class="btnNew" [navPush]="bio" style="margin-bottom: 15px !important;margin-top: 15px !important;" >\n\n            <span style="color:#3d3d3d !important;font-weight:bold;font-size:1.2em !important;"> Autobiography <ion-icon name="volume-up"> </ion-icon> </span>\n\n            <div style="font-size:1.2em;padding-top:5px;">Mufti Mohammad Shafi Usmani (Rahimahullah)</div>\n\n        </button>\n\n    \n\n        <div style="background-color:#fff;background-image:url(\'assets/img/bg.png\');">          \n\n                <span class="surahName" style="font-size:1.5em;color:#333;"> <ion-icon name="book"></ion-icon>  Other famous books of:</span><br>\n\n                <span class="surahName" style="font-size:1em;color:#333;font-weight:bold;">  Mufti Mohammad Shafi Usmani (Rahimahullah)</span>\n\n        </div>\n\n    </div>\n\n    </div>\n\n        <ion-grid style="text-align: center;background-image:url(\'assets/img/bg.png\');">     \n\n            <ion-row>\n\n                    <ion-col col-4 > \n\n                            <button  (click)="openPDF(\'otherBooks/Shaheed-e-Karbala.pdf\', \'otherBook\', \'Shaheed-e-Karbala\')" style="color:#3d3d3d;text-decoration: none;">    \n\n                                  <div><strong>Shaheed-e-Karbala</strong>  </div>            \n\n                             <img height="180"  src="assets/img/Shaheed_e_Karbala.jpg"/>\n\n                             </button>\n\n                         </ion-col>\n\n                     <ion-col col-4 > \n\n                             <button (click)="openPDF(\'otherBooks/Seerat-e-Rasool-e-Akram.pdf\', \'otherBook\', \'Seerat-e-Rasool e Akrams (SAW)\')"  style="color:#3d3d3d;text-decoration: none;">    \n\n                                   <div><strong>Seerat-e-Rasool e Akrams (SAW)</strong>   </div>           \n\n                              <img height="180" src="assets/img/seerat-e-rasool-e-akrams-a-w.jpg"/>\n\n                             </button>\n\n                          </ion-col>\n\n                    <ion-col col-4>\n\n                         <button (click)="openPDF(\'otherBooks/SeeratKhatimUlAmbiya.pdf\', \'otherBook\', \'Seerat Khatim ul Ambiya\')"  style="color:#3d3d3d;text-decoration: none;">\n\n                               <div><strong>Seerat Khatim ul Ambiya</strong></div>\n\n                         <img src="assets/img/Seerat_Khatim_ul_Ambiya.jpg" />\n\n                         </button>\n\n                     </ion-col>\n\n                 </ion-row>\n\n                 <ion-row>\n\n                        <ion-col col-4 > \n\n                            <button (click)="openPDF(\'otherBooks/Ahkam-e-Hajj.pdf\', \'otherBook\', \'Ahkam e Hajj\')" style="color:#3d3d3d;text-decoration: none;"> \n\n                               <div><strong>Ahkam e Hajj</strong></div>\n\n                                    <img height="180"  src="assets/img/Ahkam_e_Hajj.jpg"  />\n\n                             </button>\n\n                         </ion-col>\n\n                         <ion-col col-4 > \n\n                                <button (click)="openPDF(\'otherBooks/Masala-e-Sood.pdf\', \'otherBook\', \'Masala-e-Sood\')"  style="color:#3d3d3d;text-decoration: none;"> \n\n                                   <div><strong>Masala-e-Sood</strong></div>\n\n                                        <img height="180"  src="assets/img/masala-e-sood.jpg"  />\n\n                                 </button>\n\n                             </ion-col>\n\n                        <ion-col col-4>\n\n                             <button (click)="openPDF(\'otherBooks/Sunnat-o-Bidat.pdf\', \'otherBook\', \'Sunnat o Biddat\')"  style="color:#3d3d3d;text-decoration: none;">\n\n                                   <div><strong>Sunnat o Biddat</strong></div>\n\n                             <img height="180" src="assets/img/Sunnat_o_Biddat.jpg" />\n\n                             </button>\n\n                         </ion-col>\n\n                     </ion-row>\n\n                     <ion-row>\n\n                            <ion-col col-4 > \n\n                                <button (click)="openPDF(\'otherBooks/FINALITY-OF-THE-PROPHETHOOD.pdf\', \'otherBook\', \'Finality of the Prophethood\')"  style="color:#3d3d3d;text-decoration: none;"> \n\n                                   <div><strong>Finality of the Prophethood</strong><br>(English)</div>\n\n                                        <img height="180" src="assets/img/finality-of-the-prophethood.jpg"  />\n\n                                 </button>\n\n                             </ion-col>\n\n                             <ion-col col-4 > \n\n                                    <button (click)="openPDF(\'otherBooks/SignsOfQayamahAndArrivalOfMaseeha.pdf\', \'otherBook\', \'Signs of Qayamah & Arrival of Maseeh (AS)\')"  style="color:#3d3d3d;text-decoration: none;"> \n\n                                       <div><strong>Signs of Qayamah & Arrival of Maseeh (AS)</strong></div>\n\n                                            <img height="180" src="assets/img/Signs_of_Qayamah_and_Arrival_of_Maseeh_A_S.jpg"  />\n\n                                     </button>\n\n                                 </ion-col>\n\n                            <ion-col col-4>\n\n                                 <button (click)="openPDF(\'otherBooks/MajalisHakeem-ul-Ummat.pdf\', \'otherBook\', \'Majalis Hakeem ul Ummat\')"  style="color:#3d3d3d;text-decoration: none;">\n\n                                       <div><strong>Majalis Hakeem ul Ummat</strong></div>\n\n                                 <img height="180"  src="assets/img/Majalis_Hakeem_ul_Ummat.jpg" />\n\n                                 </button>\n\n                             </ion-col>\n\n                         </ion-row>\n\n             </ion-grid>       \n\n            \n\n        \n\n    <!--\n\n    <div class="btn-group">\n\n       \n\n            <span class="surahNameUrdu" style="font-size:2.5em;color:#333;"> اُردُو   <ion-icon name="book"></ion-icon> </span>\n\n       \n\n    </div>\n\n    <div class="btn-group">\n\n        <button class="btnNew" [navPush]="EnglishPage">\n\n           <span class="surahName" style="font-size:1.8em;color:#333;">  <ion-icon name="book"></ion-icon>  English </span>\n\n        </button>\n\n    </div> -->\n\n   <!--\n\n      <div class="btn-group">\n\n         <button class="btnNew" (click)="openPDF(\'en/noble.pdf\', \'noble\', \'6\')">         \n\n                <span class="surahName" style="font-size:1.5em;color:#333;"> <ion-icon name="book"></ion-icon>  The Noble Quran</span>\n\n                <p style="color:#fff;">English translation of the meanings &amp; commentary</p>\n\n                <p style="font-size:1.2em;color:#333;">By Mufti Taqi Usmani (DB)</p> \n\n          </button>        \n\n      </div> \n\n    -->\n\n</ion-content>'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/home/home.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_11__ionic_native_network__["a" /* Network */], __WEBPACK_IMPORTED_MODULE_10__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */]])
], HomePage);

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(293);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_social_sharing__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_network__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the InfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var InfoPage = (function () {
    function InfoPage(alertCtrl, network, ga, navCtrl, navParams, http, sharingVar) {
        this.alertCtrl = alertCtrl;
        this.network = network;
        this.ga = ga;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.sharingVar = sharingVar;
        this.ga.trackEvent("Info", "Info Dashboard", "label", 1, true);
    }
    InfoPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad InfoPage');
        this.getPosts();
    };
    InfoPage.prototype.getPosts = function () {
        var _this = this;
        if (this.network.type !== 'none') {
            // this.films = this.http.get('http://www.ummahnet.com/maariful-Quran/android/appListADs/appListiOS.json')
            this.films = this.http.get('http://www.ummahnet.com/maariful-Quran/android/appListADs/appListAndroid.json');
            this.films
                .map(function (res) { return res.json(); })
                .subscribe(function (data) {
                _this.myAppList = data;
                // console.log(JSON.stringify(data));
            });
        }
    };
    InfoPage.prototype.appClick = function (item) {
        this.ga.trackEvent("App Download Link", item, "label", 1, true);
    };
    InfoPage.prototype.mailto = function (email) {
        window.open('mailto:' + email);
    };
    InfoPage.prototype.whatsappShare = function () {
        var _this = this;
        this.sharingVar.shareViaWhatsApp("Maariful Quran App - Check out this Free Mobile app!", '' /*Image*/, "http://maarifulQuran.ummahtech.com/" /* url */)
            .then(function () {
            //   alert("Success");
            _this.ga.trackEvent("WhatsApp", "Share", "Send", 1, true);
        }, function () {
            var alertT = _this.alertCtrl.create({
                title: "Whatsapp Connection Error !",
                subTitle: 'Failed to share. Please check your Whatsapp Setting on your device and try again !',
                buttons: [
                    {
                        text: "Ok"
                    }
                ]
            });
            return alertT.present();
        });
    };
    InfoPage.prototype.twitterShare = function () {
        var _this = this;
        this.sharingVar.shareViaTwitter("Maariful Quran App - Check out this Free Mobile app!", "http://maarifulQuran.ummahtech.com/app.jpg" /*Image*/, "http://maarifulQuran.ummahtech.com")
            .then(function () {
            _this.ga.trackEvent("Twitter", "Twitted", "Send", 1, true);
        }, function () {
            var alertW = _this.alertCtrl.create({
                title: "Twitter Connection Error !",
                subTitle: 'Failed to share. Please check your Twitter Setting on your device and try again !',
                buttons: [
                    {
                        text: "Ok"
                    }
                ]
            });
            return alertW.present();
        });
    };
    InfoPage.prototype.facebookShare = function () {
        var _this = this;
        this.sharingVar.shareViaFacebook("Maariful Quran App - Check out this Free Mobile app!", "http://maarifulQuran.ummahtech.com/app.jpg" /*Image*/, "http://maarifulQuran.ummahtech.com")
            .then(function () {
            _this.ga.trackEvent("Facebook", "Posted", "Send", 1, true);
        }, function () {
            var alertF = _this.alertCtrl.create({
                title: "Facebook Connection Error !",
                subTitle: 'Failed to share. Please check your Facebook Setting on your device and try again !',
                buttons: [
                    {
                        text: "Ok"
                    }
                ]
            });
            return alertF.present();
        });
    };
    InfoPage.prototype.otherShare = function () {
        var _this = this;
        this.sharingVar.share("Maariful Quran App -  Check out this Free Mobile app!", null /*Subject*/, null /*File*/, "http://maarifulQuran.ummahtech.com")
            .then(function () {
            _this.ga.trackEvent("OtherShare", "Share", "Send", 1, true);
        }, function () {
            //   alert("failed")
            var alertO = _this.alertCtrl.create({
                title: "Share Connection Error !",
                subTitle: 'Failed to share. Please check your Share Setting on your device and try again !',
                buttons: [
                    {
                        text: "Ok"
                    }
                ]
            });
            return alertO.present();
        });
    };
    return InfoPage;
}());
InfoPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-info',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/info/info.html"*/'<!--\n  Generated template for the InfoPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header >\n\n  <ion-navbar >\n    <ion-title>Info</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n <ion-content overflow-scroll="true" class="bgImg" padding>\n    <div style="background:#fff; opacity:.8; padding:10px;">\n      <strong>App Version: 6.1</strong><br><br>\n      Maariful Quran is an eight-volume tafsir of the Quran written by <strong>Hazart Mufti Muhammad Shafi Usmani Rahimahullah</strong> (1897–1976). Originally written in Urdu and his son Mufti Muhammad Taqi Usmani(DB) has written in the Foreword of the English translation of the same.<br>\n      <p>All the audio files & PDF books can be listen & read <strong>OFFLINE</strong>, but only after you open that file once while you stay connected to network. Take advantage of <strong>NEW Bookmark feature</strong> and resume where you left.</p>\n      <p>Absoultely NO ADS, enjoy this app without any distraction.</p>\n\n       <hr>\n       <h2>Share App</h2>\n       <button ion-button round  (click)="whatsappShare()" style="background-color: #25D366">  <ion-icon name="logo-whatsapp"> WhatsApp </ion-icon> </button>\n        <button ion-button round  (click)="twitterShare()"  style="background-color: #1dcaff"><ion-icon name="logo-twitter"> Twitter</ion-icon></button>\n        <button ion-button round  (click)="facebookShare()"  style="background-color: #3b5998"> <ion-icon name="logo-facebook"> Facebook</ion-icon></button>\n        <button ion-button round  (click)="otherShare()" color="dark"><ion-icon name="share"> Share Other</ion-icon> </button>\n    <hr>    \n        <h4>App Design & Developed by:</h4>\n        <strong>Muhammad Azam</strong>\n        <p>Alhumdulillah ! I was fortunate enough to build this app. Please make dua for me; my family & whole Ummah Inshallah.</p> \n        <p>Feel free to contact me for any questions or comments</p>\n        <div class="cnt">\n        <button  ion-button round   (click)="mailto(\'azam@ummahtech.com\')" color="primary"> <i class="icon ion-email"></i>\n          azam@UmmahTech.com</button>\n         <a href="http://www.UmmahTech.com" target="_system"><img src="assets/img/ummahtech.png" /></a>\n         </div>\n        <div *ngIf="myAppList">\n          <h4>My other Fi\'sibilillah Apps:</h4>\n          <ion-list *ngFor="let item of myAppList">\n              <ion-item style="border-bottom:1px solid #000">\n                <ion-thumbnail item-start>\n                  <a [href]="item.appUrl" (click)="appClick(item.title)" > <img [src]="item.appImage"> </a>\n                </ion-thumbnail>\n                <a [href]="item.appUrl" (click)="appClick(item.title)" style="text-decoration: none;">\n                  <h2><strong>{{item.title}}</strong></h2>\n                  <p style="white-space:normal;">{{item.subtitle}}</p>\n                </a>            \n              </ion-item>\n            </ion-list>\n        </div>\n    </div>\n    </ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/info/info.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_network__["a" /* Network */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_social_sharing__["a" /* SocialSharing */]])
], InfoPage);

//# sourceMappingURL=info.js.map

/***/ }),

/***/ 222:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(223);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_module__ = __webpack_require__(240);



Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["enableProdMode"])();
Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_2__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 240:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export myCustomAudioProviderFactory */
/* unused harmony export providers */
/* unused harmony export entryComponents */
/* unused harmony export declarations */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_splash_screen__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_status_bar__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_document_viewer__ = __webpack_require__(169);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_network__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__app_component__ = __webpack_require__(292);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_about_about__ = __webpack_require__(294);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__angular_http__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_home_home__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_tabs_tabs__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_eng_pdf_eng_pdf__ = __webpack_require__(60);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_bangla_pdf_bangla_pdf__ = __webpack_require__(114);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_ur_pdf_ur_pdf__ = __webpack_require__(61);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_view_pdf_view_pdf__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_info_info__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_audio_audio__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_play_audio_play_audio__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_bio_bio__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_bookmarks_bookmarks__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22_ng2_pdf_viewer__ = __webpack_require__(296);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22_ng2_pdf_viewer___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_22_ng2_pdf_viewer__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__ionic_native_social_sharing__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25_ionic_audio__ = __webpack_require__(215);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


























var pages = [
    __WEBPACK_IMPORTED_MODULE_8__app_component__["a" /* MyApp */],
    __WEBPACK_IMPORTED_MODULE_9__pages_about_about__["a" /* AboutPage */],
    __WEBPACK_IMPORTED_MODULE_11__pages_home_home__["a" /* HomePage */],
    __WEBPACK_IMPORTED_MODULE_12__pages_tabs_tabs__["a" /* TabsPage */],
    __WEBPACK_IMPORTED_MODULE_13__pages_eng_pdf_eng_pdf__["a" /* EngPdfPage */],
    __WEBPACK_IMPORTED_MODULE_15__pages_ur_pdf_ur_pdf__["a" /* UrPdfPage */],
    __WEBPACK_IMPORTED_MODULE_17__pages_info_info__["a" /* InfoPage */],
    __WEBPACK_IMPORTED_MODULE_18__pages_audio_audio__["a" /* AudioPage */],
    __WEBPACK_IMPORTED_MODULE_20__pages_bio_bio__["a" /* BioPage */],
    __WEBPACK_IMPORTED_MODULE_19__pages_play_audio_play_audio__["a" /* PlayAudioPage */],
    __WEBPACK_IMPORTED_MODULE_16__pages_view_pdf_view_pdf__["a" /* ViewPdfPage */],
    __WEBPACK_IMPORTED_MODULE_21__pages_bookmarks_bookmarks__["a" /* BookmarksPage */],
    __WEBPACK_IMPORTED_MODULE_14__pages_bangla_pdf_bangla_pdf__["a" /* BanglaPdfPage */],
    __WEBPACK_IMPORTED_MODULE_22_ng2_pdf_viewer__["PdfViewerComponent"]
];
/**
 * Sample custom factory function to use with ionic-audio
 */
function myCustomAudioProviderFactory() {
    return (window.hasOwnProperty('cordova')) ? new __WEBPACK_IMPORTED_MODULE_25_ionic_audio__["b" /* CordovaMediaProvider */]() : new __WEBPACK_IMPORTED_MODULE_25_ionic_audio__["d" /* WebAudioProvider */]();
}
function providers() {
    return [
        { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ErrorHandler"], useClass: __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* IonicErrorHandler */] },
        __WEBPACK_IMPORTED_MODULE_2__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_document_viewer__["a" /* DocumentViewer */], __WEBPACK_IMPORTED_MODULE_23__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_24__ionic_native_social_sharing__["a" /* SocialSharing */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_network__["a" /* Network */],
        __WEBPACK_IMPORTED_MODULE_3__ionic_native_status_bar__["a" /* StatusBar */]
    ];
}
function entryComponents() {
    return pages;
}
function declarations() {
    return pages;
}
var AppModule = (function () {
    function AppModule() {
    }
    return AppModule;
}());
AppModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: declarations(),
        imports: [
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["a" /* BrowserModule */],
            __WEBPACK_IMPORTED_MODULE_10__angular_http__["b" /* HttpModule */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_8__app_component__["a" /* MyApp */], {}, {
                links: [
                    { loadChildren: '../pages/audio/audio.module#AudioPageModule', name: 'AudioPage', segment: 'audio', priority: 'low', defaultHistory: [] },
                    { loadChildren: '../pages/play-audio/play-audio.module#PlayAudioPageModule', name: 'PlayAudioPage', segment: 'play-audio', priority: 'low', defaultHistory: [] },
                    { loadChildren: '../pages/bookmarks/bookmarks.module#BookmarksPageModule', name: 'BookmarksPage', segment: 'bookmarks', priority: 'low', defaultHistory: [] },
                    { loadChildren: '../pages/view-pdf/view-pdf.module#ViewPdfPageModule', name: 'ViewPdfPage', segment: 'view-pdf', priority: 'low', defaultHistory: [] },
                    { loadChildren: '../pages/eng-pdf/eng-pdf.module#EngPdfPageModule', name: 'EngPdfPage', segment: 'eng-pdf', priority: 'low', defaultHistory: [] },
                    { loadChildren: '../pages/bangla-pdf/bangla-pdf.module#BanglaPdfPageModule', name: 'BanglaPdfPage', segment: 'bangla-pdf', priority: 'low', defaultHistory: [] },
                    { loadChildren: '../pages/ur-pdf/ur-pdf.module#UrPdfPageModule', name: 'UrPdfPage', segment: 'ur-pdf', priority: 'low', defaultHistory: [] },
                    { loadChildren: '../pages/bio/bio.module#BioPageModule', name: 'BioPage', segment: 'bio', priority: 'low', defaultHistory: [] }
                ]
            }),
            __WEBPACK_IMPORTED_MODULE_25_ionic_audio__["c" /* IonicAudioModule */].forRoot(__WEBPACK_IMPORTED_MODULE_25_ionic_audio__["e" /* defaultAudioProviderFactory */]),
            __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["a" /* IonicStorageModule */].forRoot()
            // or use a custom provided function shown above myCustomAudioProviderFactory
        ],
        bootstrap: [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* IonicApp */]],
        entryComponents: entryComponents(),
        providers: providers(),
        schemas: [__WEBPACK_IMPORTED_MODULE_0__angular_core__["CUSTOM_ELEMENTS_SCHEMA"]]
    })
], AppModule);

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 292:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_splash_screen__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_status_bar__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_tabs_tabs__ = __webpack_require__(211);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var MyApp = (function () {
    function MyApp(ga, platform, splashScreen, statusBar) {
        var _this = this;
        this.ga = ga;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_tabs_tabs__["a" /* TabsPage */];
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            statusBar.styleDefault();
            splashScreen.hide();
            setTimeout(function () {
                _this.ga.startTrackerWithId('UA-2089511-39')
                    .then(function () {
                    // console.log('Google analytics is ready now'); 
                    _this.ga.setAllowIDFACollection(true);
                    _this.ga.trackView('HomePage');
                })
                    .catch(function (e) { return console.log('Error starting GoogleAnalytics', e); });
            }, 5000);
        });
    }
    return MyApp;
}());
MyApp = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/app/app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/app/app.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_status_bar__["a" /* StatusBar */]])
], MyApp);

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 294:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AboutPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_audio__ = __webpack_require__(215);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var AboutPage = (function () {
    function AboutPage(_audioProvider) {
        this._audioProvider = _audioProvider;
        this.myTracks = [{
                src: 'https://archive.org/download/JM2013-10-05.flac16/V0/jm2013-10-05-t12-MP3-V0.mp3',
                artist: 'John Mayer',
                title: 'Why Georgia',
                art: 'assets/img/johnmayer.jpg',
                preload: 'metadata' // tell the plugin to preload metadata such as duration for this track, set to 'none' to turn off
            },
            {
                src: 'https://archive.org/download/JM2013-10-05.flac16/V0/jm2013-10-05-t30-MP3-V0.mp3',
                artist: 'John Mayer',
                title: 'Who Says',
                art: 'assets/img/johnmayer.jpg',
                preload: 'metadata' // tell the plugin to preload metadata such as duration for this track,  set to 'none' to turn off
            },
            {
                src: 'https://archive.org/download/swrembel2010-03-07.tlm170.flac16/swrembel2010-03-07s1t05.mp3',
                artist: 'Stephane Wrembel',
                title: 'Stephane Wrembel Live',
                art: 'assets/img/Stephane.jpg',
                preload: 'metadata' // tell the plugin to preload metadata such as duration for this track,  set to 'none' to turn off
            }];
    }
    AboutPage.prototype.ngAfterContentInit = function () {
        // get all tracks managed by AudioProvider so we can control playback via the API
        this.allTracks = this._audioProvider.tracks;
    };
    AboutPage.prototype.playSelectedTrack = function () {
        // use AudioProvider to control selected track 
        this._audioProvider.play(this.selectedTrack);
    };
    AboutPage.prototype.pauseSelectedTrack = function () {
        // use AudioProvider to control selected track 
        this._audioProvider.pause(this.selectedTrack);
    };
    return AboutPage;
}());
AboutPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-about',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/about/about.html"*/'<ion-header>\n\n  <ion-navbar>\n\n    <ion-title>\n\n      More music\n\n    </ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-list>\n\n    <audio-track #audio *ngFor="let track of myTracks" [track]="track">\n\n      <ion-item>\n\n        <ion-thumbnail item-left>\n\n          <img src="{{audio.art}}">\n\n          <audio-track-play dark [audioTrack]="audio">\n\n            <ion-spinner></ion-spinner>\n\n          </audio-track-play>\n\n        </ion-thumbnail>\n\n        <div item-content style="width:100%">\n\n          <p><strong>{{audio.title}}</strong> &#x26AC; <em>{{audio.artist}}</em></p>\n\n          <audio-track-progress-bar duration progress [audioTrack]="audio"></audio-track-progress-bar>\n\n          <em style="font-size:.5em">Track ID: {{audio.id}}</em>\n\n        </div>\n\n      </ion-item>\n\n    </audio-track>\n\n  </ion-list>\n\n\n\n  <h3>API Usage</h3>\n\n  <h4>Using AudioProvider to control playback</h4>\n\n  <ion-list>\n\n    <ion-item>\n\n      <ion-label>Select track to play</ion-label>\n\n      <ion-select [(ngModel)]="selectedTrack">\n\n        <ion-option *ngFor="let track of allTracks" value="{{track.id}}">{{track.title}}</ion-option>\n\n      </ion-select>\n\n    </ion-item>\n\n  </ion-list>\n\n  <button ion-button block outline (click)="playSelectedTrack()">Play</button>\n\n  <button ion-button block outline color="secondary" (click)="pauseSelectedTrack()">Pause</button>\n\n</ion-content>'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/about/about.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_audio__["a" /* AudioProvider */]])
], AboutPage);

//# sourceMappingURL=about.js.map

/***/ }),

/***/ 30:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ViewPdfPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_document_viewer__ = __webpack_require__(169);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__bookmarks_bookmarks__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__ = __webpack_require__(168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_network__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var ViewPdfPage = (function () {
    function ViewPdfPage(network, ga, alertCtrl, platform, transfer, file, storage, document, navCtrl, navParams, viewCtrl, loadingController) {
        this.network = network;
        this.ga = ga;
        this.alertCtrl = alertCtrl;
        this.platform = platform;
        this.transfer = transfer;
        this.file = file;
        this.storage = storage;
        this.document = document;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.loadingController = loadingController;
        this.displayData = {};
        this.page = 2;
        this.rotatePage = 0;
        this.totalPages = 0;
        this.zoomValue = 1;
        this.lang = "en";
        this.vol = "1";
        this.langTitle = "Maariful Quran Vol:";
        this.disconnectNet = false;
        this.storageDirectory = '';
        this.netStatus = true;
        if (this.platform.is('ios')) {
            this.storageDirectory = cordova.file.documentsDirectory;
        }
        else if (this.platform.is('android')) {
            this.storageDirectory = cordova.file.applicationStorageDirectory;
        }
        // assign all params
        this.displayData = this.navParams.get('displayData');
        this.pdfURL = this.displayData.pdfSource.url;
        this.lang = this.displayData.pdfSource.lang;
        this.vol = this.displayData.pdfSource.vol;
        if (this.displayData.pdfSource.pageNumber) {
            this.page = this.displayData.pdfSource.pageNumber;
        }
        if (this.lang == "ur") {
            this.langTitle = "  معارف القرآن  جلد";
        }
        if (this.lang == "en") {
            this.langTitle = "Maariful Quran Vol: ";
        }
        if (this.lang == "ba") {
            this.langTitle = "মারেফুল কোরআন আয়তন: ";
        }
        if (this.lang == "otherBook") {
            this.langTitle = this.displayData.pdfSource.vol;
        }
        this.ga.trackEvent("PDF-" + this.displayData.pdfSource.lang, this.langTitle + "-" + this.vol, "label", 1, true);
    }
    ViewPdfPage.prototype.onClose = function () {
        this.viewCtrl.dismiss();
    };
    // Fires everytime 
    ViewPdfPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        var loading = this.loadingController.create({ content: "Bismillah ! Document loading, please wait..." });
        loading.present();
        var fileTransfer = this.transfer.create();
        if (this.network.type !== 'none') {
            this.netStatus = true;
        }
        else {
            this.netStatus = false;
        }
        // File
        this.file.checkFile(this.storageDirectory, this.pdfURL).then(function (files) {
            // alert("files found" + files);      
            loading.present().then(function () {
                loading.dismiss();
                _this.pdfURL = _this.storageDirectory + _this.pdfURL;
            });
        }).catch(function (err) {
            // Check Network Connection
            if (_this.netStatus == false) {
                var alertNetwork = _this.alertCtrl.create({
                    title: "Network Connection Error !",
                    subTitle: 'You need to open this file atleast once while connected to network to make it work offline. Please turn ON network and try again.',
                    buttons: [
                        {
                            text: "Ok",
                            handler: function () {
                                loading.present().then(function () {
                                    loading.dismiss();
                                });
                                //this.navCtrl.push(HomePage);    
                                _this.viewCtrl.dismiss();
                            }
                        }
                    ]
                });
                return alertNetwork.present();
            }
            else {
                fileTransfer.download("http://www.ummahnet.com/maariful-Quran/pdf/" + _this.pdfURL, _this.storageDirectory + _this.pdfURL).then(function (entry) {
                    var alertSuccess = _this.alertCtrl.create({
                        title: "File Download Successfully",
                        subTitle: 'Good News ! Now you can read this file offline.',
                        buttons: ['Ok']
                    });
                    _this.pdfURL = _this.storageDirectory + _this.pdfURL;
                    loading.present().then(function () {
                        loading.dismiss();
                        return alertSuccess.present();
                    });
                }, function (error) {
                    // handle error
                    var alertFailure = _this.alertCtrl.create({
                        title: "Download Failed!",
                        subTitle: 'Please check the Network connection and try again !',
                        buttons: ['Ok']
                    });
                    loading.present().then(function () {
                        loading.dismiss();
                        return alertFailure.present();
                    });
                });
            } // end of else
        }); // end of Catch (error)
    };
    ViewPdfPage.prototype.ionViewDidLoad = function () {
    };
    ViewPdfPage.prototype.goPrevious = function () {
        if (this.page - 1 > 0) {
            this.page = this.page - 1;
        }
    };
    ViewPdfPage.prototype.goNext = function () {
        if (this.page + 1 <= this.totalPages) {
            this.page = this.page + 1;
        }
    };
    ViewPdfPage.prototype.zoomIn = function () {
        if (this.zoomValue + 0.2 < 6) {
            this.zoomValue = this.zoomValue + 0.2;
        }
    };
    ViewPdfPage.prototype.zoomOut = function () {
        if (this.zoomValue - 0.2 > 0.8) {
            this.zoomValue = this.zoomValue - 0.2;
        }
    };
    ViewPdfPage.prototype.fit = function () {
        this.zoomValue = 1;
    };
    ViewPdfPage.prototype.rotate = function () {
        this.rotatePage = this.rotatePage + 90;
    };
    ViewPdfPage.prototype.callBackFn = function (pdf) {
        // do anything with "pdf"
        this.totalPages = pdf.numPages;
    };
    /*
     swipeEvent(e) {
       alert("in swipe");
       if(e.direction == '2'){
         alert("in previous");
         this.goPrevious()
       }
       else if(e.direction == '4'){
         alert("in next");
         this.goNext();
       }
     } */
    // Bookmark 
    ViewPdfPage.prototype.bookMark = function () {
        var _this = this;
        if (this.lang == "ur") {
            this.storage.set(this.vol + ": معارف القرآن  جلد", this.displayData.pdfSource.url + "-" + this.page + "-ur");
            this.ga.trackEvent("Bookmark-Urdu", this.vol, "label", 1, true);
        }
        else if (this.lang == "en") {
            this.storage.set("Maariful Quran Vol:" + this.vol, this.displayData.pdfSource.url + "-" + this.page + "-en");
            this.ga.trackEvent("Bookmark-English", this.vol, "label", 1, true);
        }
        else if (this.lang == "ba") {
            this.storage.set("মারেফুল কোরআন আয়তন:" + this.vol, this.displayData.pdfSource.url + "-" + this.page + "-ba");
            this.ga.trackEvent("Bookmark-Bangla", this.vol, "label", 1, true);
        }
        else {
            this.storage.set(this.displayData.pdfSource.vol, this.displayData.pdfSource.url + "$" + this.page + "$otherBook");
            this.ga.trackEvent("Bookmark-Other", this.displayData.pdfSource.vol, "label", 1, true);
        }
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__bookmarks_bookmarks__["a" /* BookmarksPage */]).then(function () {
            var index = _this.viewCtrl.index;
            _this.navCtrl.remove(index);
        });
    };
    return ViewPdfPage;
}());
ViewPdfPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-view-pdf',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/view-pdf/view-pdf.html"*/'<!--\n  Generated template for the ViewPdfPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>\n      <span *ngIf="lang == \'ur\'">\n       <h2> {{langTitle}} {{vol}} </h2>\n      </span>\n      <span *ngIf="lang == \'en\'">\n          {{langTitle}} {{vol}} \n      </span>\n      <span *ngIf="lang == \'ba\'">\n        {{langTitle}} {{vol}} \n      </span>\n      <span *ngIf="lang == \'otherBook\'">\n          {{langTitle}}\n         </span>\n    </ion-title>\n    <ion-buttons end>\n      <button ion-button icon-only (click)="onClose()">\n        <ion-icon name="close"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content class="bgImg">\n      <ion-grid>\n          <ion-row>\n            <ion-col col-2>\n                <button ion-button color="dark" small (click)="goPrevious()">Pre</button>\n            </ion-col>\n            <ion-col col-8>      \n                    Showing Page: \n                    <input type="number" size="3" maxlength="3" style="width:25% !important" placeholder="Page" [(ngModel)]="page"> /{{totalPages}}\n            </ion-col>\n            <ion-col col-2 style="text-align:right;">\n                <button ion-button color="dark" small (click)="goNext()" >Next</button>\n            </ion-col>\n          </ion-row>\n        </ion-grid>\n        <div class="cnt">\n          <button ion-button color="dark"  small  (click)="zoomIn()">+ Zoom In</button>\n          <button ion-button color="dark" small (click)="zoomOut()">- Zoom Out</button>\n          <button ion-button color="dark" small (click)="rotate()"> Rotate</button>\n          <button ion-button color="dark" small (click)="bookMark()"> Bookmark</button>   \n        </div>          \n    \n       \n\n    <pdf-viewer [src]="pdfURL" \n      [show-all]="false"\n      [page]="page"\n      [numPages]="totalPage"\n      [original-size]="false"\n      [external-link-target]="\'blank\'"\n      [zoom]="zoomValue"\n      [rotation]="rotatePage"\n      (after-load-complete)="callBackFn($event)"\n      style="display: block;">\n    </pdf-viewer> \n\n</ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/view-pdf/view-pdf.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__["a" /* Transfer */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__["b" /* TransferObject */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_8__ionic_native_network__["a" /* Network */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__["a" /* Transfer */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_document_viewer__["a" /* DocumentViewer */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ViewController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */]])
], ViewPdfPage);

//# sourceMappingURL=view-pdf.js.map

/***/ }),

/***/ 47:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AudioPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_file__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__play_audio_play_audio__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(45);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var AudioPage = (function () {
    function AudioPage(storage, platform, file, ga, navParams, navCtrl) {
        this.storage = storage;
        this.platform = platform;
        this.file = file;
        this.ga = ga;
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.storageDirectory = '';
        this.audioList = "surahList";
        this.playlist = [];
        this.pushPage = "PlayAudioPage";
        this.currentIndex = -1;
        this.ga.trackEvent("Audio List", "Audio Dashboard", "label", 1, true);
        if (this.navParams.data.src) {
            this.currentTrack = this.navParams.data;
        }
        // plugin won't preload data by default, unless preload property is defined within json object - defaults to 'none'
        this.myTracks = [{ artist: "0.5", src: "http://www.ummahnet.com/maariful-Quran/android/001-Ibtidaiyah-01.mp3", title: "وحی اور اس کی حقیقت", art: "Wahi Aur Us Ki Haqiqat", preload: "metadata" },
            { artist: "0.6", src: "http://www.ummahnet.com/maariful-Quran/android/001-Ibtidaiyah-02.mp3", title: "نزول وحی", art: "Nazool e Wahi", preload: "metadata" },
            { artist: "0.7", src: "http://www.ummahnet.com/maariful-Quran/android/001-Ibtidaiyah-03.mp3", title: "تفسیر قرآن حصہ اول", art: "Tafseere Quran Part 1", preload: "metadata" },
            { artist: "0.8", src: "http://www.ummahnet.com/maariful-Quran/android/001-Ibtidaiyah-04.mp3", title: "تفسیر قرآن حصہ دوم", art: "Tafseere Quran Part 2", preload: "metadata" },
            { artist: "0.9", src: "http://www.ummahnet.com/maariful-Quran/android/001-Ibtidaiyah-05.mp3", title: "مصنف کی تفصیلی تحریر", art: "Breif Author words", preload: "metadata" },
            { artist: "1", src: "http://www.ummahnet.com/maariful-Quran/android/001.mp3", title: "سورۃ الفاتحۃ", art: "Surah Al-Fatihah", preload: "metadata" },
            { artist: "2", src: "http://www.ummahnet.com/maariful-Quran/android/002-1.mp3", title: "سورة البقرة", art: "Surah Al-Baqara Part 1", preload: "metadata" },
            { artist: "2.1", src: "http://www.ummahnet.com/maariful-Quran/android/002-2.mp3", title: "سورة البقرة", art: "Surah Al-Baqara Part 2", preload: "metadata" },
            { artist: "2.2", src: "http://www.ummahnet.com/maariful-Quran/android/002-3.mp3", title: "سورة البقرة", art: "Surah Al-Baqara Part 3", preload: "metadata" },
            { artist: "3", src: "http://www.ummahnet.com/maariful-Quran/android/003.mp3", title: "سورة آل عمران", art: "Surah Aal-e-Imran", preload: "metadata" },
            { artist: "4", src: "http://www.ummahnet.com/maariful-Quran/android/004.mp3", title: "سورة النساء", art: "Surah An-Nisa", preload: "metadata" },
            { artist: "5", src: "http://www.ummahnet.com/maariful-Quran/android/005.mp3", title: "سورة المائدة", art: "Surah Al-Maeda", preload: "metadata" },
            { artist: "6", src: "http://www.ummahnet.com/maariful-Quran/android/006.mp3", title: "سورة الأنعام", art: "Surah Al-Anaam", preload: "metadata" },
            { artist: "7", src: "http://www.ummahnet.com/maariful-Quran/android/007.mp3", title: "سورة الأعراف", art: "Surah Al-Araf", preload: "metadata" },
            { artist: "8", src: "http://www.ummahnet.com/maariful-Quran/android/008.mp3", title: "سورة الأنفال", art: "Surah Al-Anfal", preload: "metadata" },
            { artist: "9", src: "http://www.ummahnet.com/maariful-Quran/android/009.mp3", title: "سورة التوبة", art: "Surah At-Taubah", preload: "metadata" },
            { artist: "10", src: "http://www.ummahnet.com/maariful-Quran/android/010.mp3", title: "سورة يونس", art: "Surah Yunus", preload: "metadata" },
            { artist: "11", src: "http://www.ummahnet.com/maariful-Quran/android/011.mp3", title: "سورة هود", art: "Surah Hud", preload: "metadata" },
            { artist: "12", src: "http://www.ummahnet.com/maariful-Quran/android/012.mp3", title: "سورة يوسف", art: "Surah Yusuf", preload: "metadata" },
            { artist: "13", src: "http://www.ummahnet.com/maariful-Quran/android/013.mp3", title: "سورة الرعد", art: "Surah Ar-Rad", preload: "metadata" },
            { artist: "14", src: "http://www.ummahnet.com/maariful-Quran/android/014.mp3", title: "سورة إبراهيم", art: "Surah Ibrahim", preload: "metadata" },
            { artist: "15", src: "http://www.ummahnet.com/maariful-Quran/android/015.mp3", title: "سورة الحجر", art: "Surah Al-Hijr", preload: "metadata" },
            { artist: "16", src: "http://www.ummahnet.com/maariful-Quran/android/016.mp3", title: "سورة النحل", art: "Surah An-Nahl", preload: "metadata" },
            { artist: "17", src: "http://www.ummahnet.com/maariful-Quran/android/017.mp3", title: "سورة الإسراء", art: "Surah Al-Isra", preload: "metadata" },
            { artist: "18", src: "http://www.ummahnet.com/maariful-Quran/android/018.mp3", title: "سورة الكهف", art: "Surah Al-Kahf", preload: "metadata" },
            { artist: "19", src: "http://www.ummahnet.com/maariful-Quran/android/019.mp3", title: "سورة مريم", art: "Surah Maryam", preload: "metadata" },
            { artist: "20", src: "http://www.ummahnet.com/maariful-Quran/android/020.mp3", title: "سورة طه", art: "Surah Taha", preload: "metadata" },
            { artist: "21", src: "http://www.ummahnet.com/maariful-Quran/android/021.mp3", title: "سورة الأنبياء", art: "Surah Al-Anbiya", preload: "metadata" },
            { artist: "22", src: "http://www.ummahnet.com/maariful-Quran/android/022.mp3", title: "سورة الحج", art: "Surah Al-Hajj", preload: "metadata" },
            { artist: "23", src: "http://www.ummahnet.com/maariful-Quran/android/023.mp3", title: "سورة المؤمنون", art: "Surah Al-Mumenoon", preload: "metadata" },
            { artist: "24", src: "http://www.ummahnet.com/maariful-Quran/android/024.mp3", title: "سورة النور", art: "Surah An-Noor", preload: "metadata" },
            { artist: "25", src: "http://www.ummahnet.com/maariful-Quran/android/025.mp3", title: "سورة الفرقان", art: "Surah Al-Furqan", preload: "metadata" },
            { artist: "26", src: "http://www.ummahnet.com/maariful-Quran/android/026.mp3", title: "سورة الشعراء", art: "Surah Ash-Shuara", preload: "metadata" },
            { artist: "27", src: "http://www.ummahnet.com/maariful-Quran/android/027.mp3", title: "سورة النمل", art: "Surah An-Naml", preload: "metadata" },
            { artist: "28", src: "http://www.ummahnet.com/maariful-Quran/android/028.mp3", title: "سورة القصص", art: "Surah Al-Qasas", preload: "metadata" },
            { artist: "29", src: "http://www.ummahnet.com/maariful-Quran/android/029.mp3", title: "سورة العنكبوت", art: "Surah Al-Ankaboot", preload: "metadata" },
            { artist: "30", src: "http://www.ummahnet.com/maariful-Quran/android/030.mp3", title: "سورة الروم", art: "Surah Ar-Room", preload: "metadata" },
            { artist: "31", src: "http://www.ummahnet.com/maariful-Quran/android/031.mp3", title: "سورة لقمان", art: "Surah Luqman", preload: "metadata" },
            { artist: "32", src: "http://www.ummahnet.com/maariful-Quran/android/032.mp3", title: "سورة السجدة", art: "Surah As-Sajda", preload: "metadata" },
            { artist: "33", src: "http://www.ummahnet.com/maariful-Quran/android/033.mp3", title: "سورة الأحزاب", art: "Surah Al-Ahzab", preload: "metadata" },
            { artist: "34", src: "http://www.ummahnet.com/maariful-Quran/android/034.mp3", title: "سورة سبأ", art: "Surah Saba", preload: "metadata" },
            { artist: "35", src: "http://www.ummahnet.com/maariful-Quran/android/035.mp3", title: "سورة فاطر", art: "Surah Fatir", preload: "metadata" },
            { artist: "36", src: "http://www.ummahnet.com/maariful-Quran/android/036.mp3", title: "سورة يس", art: "Surah Ya Seen", preload: "metadata" },
            { artist: "37", src: "http://www.ummahnet.com/maariful-Quran/android/037.mp3", title: "سورة الصافات", art: "Surah As-Saaffat", preload: "metadata" },
            { artist: "38", src: "http://www.ummahnet.com/maariful-Quran/android/038.mp3", title: "سورة ص", art: "Surah Sad", preload: "metadata" },
            { artist: "39", src: "http://www.ummahnet.com/maariful-Quran/android/039.mp3", title: "سورة الزمر", art: "Surah Az-Zumar", preload: "metadata" },
            { artist: "40", src: "http://www.ummahnet.com/maariful-Quran/android/040.mp3", title: "سورة غافر", art: "Surah Ghafir", preload: "metadata" },
            { artist: "41", src: "http://www.ummahnet.com/maariful-Quran/android/041.mp3", title: "سورة فصلت", art: "Surah Fussilat", preload: "metadata" },
            { artist: "42", src: "http://www.ummahnet.com/maariful-Quran/android/042.mp3", title: "سورة الشورى", art: "Surah Ash-Shura", preload: "metadata" },
            { artist: "43", src: "http://www.ummahnet.com/maariful-Quran/android/043.mp3", title: "سورة الزخرف", art: "Surah Az-Zukhruf", preload: "metadata" },
            { artist: "44", src: "http://www.ummahnet.com/maariful-Quran/android/044.mp3", title: "سورة الدخان", art: "Surah Ad-Dukhan", preload: "metadata" },
            { artist: "45", src: "http://www.ummahnet.com/maariful-Quran/android/045.mp3", title: "سورة الجاثية", art: "Surah Al-Jathiya", preload: "metadata" },
            { artist: "46", src: "http://www.ummahnet.com/maariful-Quran/android/046.mp3", title: "سورة الأحقاف", art: "Surah Al-Ahqaf", preload: "metadata" },
            { artist: "47", src: "http://www.ummahnet.com/maariful-Quran/android/047.mp3", title: "سورة محمد", art: "Surah Muhammad", preload: "metadata" },
            { artist: "48", src: "http://www.ummahnet.com/maariful-Quran/android/048.mp3", title: "سورة الفتح", art: "Surah Al-Fath", preload: "metadata" },
            { artist: "49", src: "http://www.ummahnet.com/maariful-Quran/android/049.mp3", title: "سورة الحجرات", art: "Surah Al-Hujraat", preload: "metadata" },
            { artist: "50", src: "http://www.ummahnet.com/maariful-Quran/android/050.mp3", title: "سورة ق", art: "Surah Qaf", preload: "metadata" },
            { artist: "51", src: "http://www.ummahnet.com/maariful-Quran/android/051.mp3", title: "سورة الذاريات", art: "Surah Adh-Dhariyat", preload: "metadata" },
            { artist: "52", src: "http://www.ummahnet.com/maariful-Quran/android/052.mp3", title: "سورة الطور", art: "Surah At-tur", preload: "metadata" },
            { artist: "53", src: "http://www.ummahnet.com/maariful-Quran/android/053.mp3", title: "سورة النجم", art: "Surah An-Najm", preload: "metadata" },
            { artist: "54", src: "http://www.ummahnet.com/maariful-Quran/android/054.mp3", title: "سورة القمر", art: "Surah Al-Qamar", preload: "metadata" },
            { artist: "55", src: "http://www.ummahnet.com/maariful-Quran/android/055.mp3", title: "سورة الرحمن", art: "Surah Al-Rahman", preload: "metadata" },
            { artist: "56", src: "http://www.ummahnet.com/maariful-Quran/android/056.mp3", title: "سورة الواقعة", art: "Surah Al-Waqia", preload: "metadata" },
            { artist: "57", src: "http://www.ummahnet.com/maariful-Quran/android/057.mp3", title: "سورة الحديد", art: "Surah Al-Hadid", preload: "metadata" },
            { artist: "58", src: "http://www.ummahnet.com/maariful-Quran/android/058.mp3", title: "سورة المجادلة", art: "Surah Al-Mujadila", preload: "metadata" },
            { artist: "59", src: "http://www.ummahnet.com/maariful-Quran/android/059.mp3", title: "سورة الحشر", art: "Surah Al-Hashr", preload: "metadata" },
            { artist: "60", src: "http://www.ummahnet.com/maariful-Quran/android/060.mp3", title: "سورة الممتحنة", art: "Surah Al-Mumtahina", preload: "metadata" },
            { artist: "61", src: "http://www.ummahnet.com/maariful-Quran/android/061.mp3", title: "سورة الصف", art: "Surah As-Saff", preload: "metadata" },
            { artist: "62", src: "http://www.ummahnet.com/maariful-Quran/android/062.mp3", title: "سورة الجمعة", art: "Surah Al-Jumua", preload: "metadata" },
            { artist: "63", src: "http://www.ummahnet.com/maariful-Quran/android/063.mp3", title: "سورة المنافقون", art: "Surah Al-Munafiqoon", preload: "metadata" },
            { artist: "64", src: "http://www.ummahnet.com/maariful-Quran/android/064.mp3", title: "سورة التغابن", art: "Surah At-Taghabun", preload: "metadata" },
            { artist: "65", src: "http://www.ummahnet.com/maariful-Quran/android/065.mp3", title: "سورة الطلاق", art: "Surah At-Talaq", preload: "metadata" },
            { artist: "66", src: "http://www.ummahnet.com/maariful-Quran/android/066.mp3", title: "سورة التحريم", art: "Surah At-Tahrim", preload: "metadata" },
            { artist: "67", src: "http://www.ummahnet.com/maariful-Quran/android/067.mp3", title: "سورة الملك", art: "Surah Al-Mulk", preload: "metadata" },
            { artist: "68", src: "http://www.ummahnet.com/maariful-Quran/android/068.mp3", title: "سورة القلم", art: "Surah Al-Qalam", preload: "metadata" },
            { artist: "69", src: "http://www.ummahnet.com/maariful-Quran/android/069.mp3", title: "سورة الحاقة", art: "Surah Al-Haaqqa", preload: "metadata" },
            { artist: "70", src: "http://www.ummahnet.com/maariful-Quran/android/070.mp3", title: "سورة المعارج", art: "Surah Al-Maarij", preload: "metadata" },
            { artist: "71", src: "http://www.ummahnet.com/maariful-Quran/android/071.mp3", title: "سورة نوح", art: "Surah Nooh", preload: "metadata" },
            { artist: "72", src: "http://www.ummahnet.com/maariful-Quran/android/072.mp3", title: "سورة الجن", art: "Surah Al-Jinn", preload: "metadata" },
            { artist: "73", src: "http://www.ummahnet.com/maariful-Quran/android/073.mp3", title: "سورة المزمل", art: "Surah Al-Muzzammil", preload: "metadata" },
            { artist: "74", src: "http://www.ummahnet.com/maariful-Quran/android/074.mp3", title: "سورة المدثر", art: "Surah Al-Muddathir", preload: "metadata" },
            { artist: "75", src: "http://www.ummahnet.com/maariful-Quran/android/075.mp3", title: "سورة القيامة", art: "Surah Al-Qiyama", preload: "metadata" },
            { artist: "76", src: "http://www.ummahnet.com/maariful-Quran/android/076.mp3", title: "سورة الإنسان", art: "Surah Al-Insan", preload: "metadata" },
            { artist: "77", src: "http://www.ummahnet.com/maariful-Quran/android/077.mp3", title: "سورة المرسلات", art: "Surah Al-Mursalat", preload: "metadata" },
            { artist: "78", src: "http://www.ummahnet.com/maariful-Quran/android/078.mp3", title: "سورة النبأ", art: "Surah An-Naba", preload: "metadata" },
            { artist: "79", src: "http://www.ummahnet.com/maariful-Quran/android/079.mp3", title: "سورة النازعات", art: "Surah An-Naziat", preload: "metadata" },
            { artist: "80", src: "http://www.ummahnet.com/maariful-Quran/android/080.mp3", title: "سورة عبس", art: "Surah Abasa", preload: "metadata" },
            { artist: "81", src: "http://www.ummahnet.com/maariful-Quran/android/081.mp3", title: "سورة التكوير", art: "Surah At-Takwir", preload: "metadata" },
            { artist: "82", src: "http://www.ummahnet.com/maariful-Quran/android/082.mp3", title: "سورة الإنفطار", art: "Surah AL-Infitar", preload: "metadata" },
            { artist: "83", src: "http://www.ummahnet.com/maariful-Quran/android/083.mp3", title: "سورة المطففين", art: "Surah Al-Mutaffifin", preload: "metadata" },
            { artist: "84", src: "http://www.ummahnet.com/maariful-Quran/android/084.mp3", title: "سورة الانشقاق", art: "Surah Al-Inshiqaq", preload: "metadata" },
            { artist: "85", src: "http://www.ummahnet.com/maariful-Quran/android/085.mp3", title: "سورة البروج", art: "Surah Al-Burooj", preload: "metadata" },
            { artist: "86", src: "http://www.ummahnet.com/maariful-Quran/android/086.mp3", title: "سورة الطارق", art: "Surah At-Tariq", preload: "metadata" },
            { artist: "87", src: "http://www.ummahnet.com/maariful-Quran/android/087.mp3", title: "سورة الأعلى", art: "Surah Al-Ala", preload: "metadata" },
            { artist: "88", src: "http://www.ummahnet.com/maariful-Quran/android/088.mp3", title: "سورة الغاشية", art: "Surah Al-Ghashiya", preload: "metadata" },
            { artist: "89", src: "http://www.ummahnet.com/maariful-Quran/android/089.mp3", title: "سورة الفجر", art: "Surah Al-Fajr", preload: "metadata" },
            { artist: "90", src: "http://www.ummahnet.com/maariful-Quran/android/090.mp3", title: "سورة البلد", art: "Surah Al-Balad", preload: "metadata" },
            { artist: "91", src: "http://www.ummahnet.com/maariful-Quran/android/091.mp3", title: "سورة الشمس", art: "Surah Ash-Shams", preload: "metadata" },
            { artist: "92", src: "http://www.ummahnet.com/maariful-Quran/android/092.mp3", title: "سورة الليل", art: "Surah Al-Lail", preload: "metadata" },
            { artist: "93", src: "http://www.ummahnet.com/maariful-Quran/android/093.mp3", title: "سورة الضحى", art: "Surah Ad-Dhuha", preload: "metadata" },
            { artist: "94", src: "http://www.ummahnet.com/maariful-Quran/android/094.mp3", title: "سورة الشرح", art: "Surah Al-Inshirah", preload: "metadata" },
            { artist: "95", src: "http://www.ummahnet.com/maariful-Quran/android/095.mp3", title: "سورة التين", art: "Surah At-Tin", preload: "metadata" },
            { artist: "96", src: "http://www.ummahnet.com/maariful-Quran/android/096.mp3", title: "سورة العلق", art: "Surah Al-Alaq", preload: "metadata" },
            { artist: "97", src: "http://www.ummahnet.com/maariful-Quran/android/097.mp3", title: "سورة القدر", art: "Surah Al-Qadr", preload: "metadata" },
            { artist: "98", src: "http://www.ummahnet.com/maariful-Quran/android/098.mp3", title: "سورة البينة", art: "Surah Al-Bayyina", preload: "metadata" },
            { artist: "99", src: "http://www.ummahnet.com/maariful-Quran/android/099.mp3", title: "سورة الزلزلة", art: "Surah Al-Zalzala", preload: "metadata" },
            { artist: "100", src: "http://www.ummahnet.com/maariful-Quran/android/100.mp3", title: "سورة العاديات", art: "Surah Al-Adiyat", preload: "metadata" },
            { artist: "101", src: "http://www.ummahnet.com/maariful-Quran/android/101.mp3", title: "سورة القارعة", art: "Surah Al-Qaria", preload: "metadata" },
            { artist: "102", src: "http://www.ummahnet.com/maariful-Quran/android/102.mp3", title: "سورة التكاثر", art: "Surah At-Takathur", preload: "metadata" },
            { artist: "103", src: "http://www.ummahnet.com/maariful-Quran/android/103.mp3", title: "سورة العصر", art: "Surah Al-Asr", preload: "metadata" },
            { artist: "104", src: "http://www.ummahnet.com/maariful-Quran/android/104.mp3", title: "سورة الهمزة", art: "Surah Al-Humaza", preload: "metadata" },
            { artist: "105", src: "http://www.ummahnet.com/maariful-Quran/android/105.mp3", title: "سورة الفيل", art: "Surah Al-fil", preload: "metadata" },
            { artist: "106", src: "http://www.ummahnet.com/maariful-Quran/android/106.mp3", title: "سورة قريش", art: "Surah Quraish", preload: "metadata" },
            { artist: "107", src: "http://www.ummahnet.com/maariful-Quran/android/107.mp3", title: "سورة الماعون", art: "Surah Al-Maun", preload: "metadata" },
            { artist: "108", src: "http://www.ummahnet.com/maariful-Quran/android/108.mp3", title: "سورة الكوثر", art: "Surah Al-Kauther", preload: "metadata" },
            { artist: "109", src: "http://www.ummahnet.com/maariful-Quran/android/109.mp3", title: "سورة الكافرون", art: "Surah Al-Kafiroon", preload: "metadata" },
            { artist: "110", src: "http://www.ummahnet.com/maariful-Quran/android/110.mp3", title: "سورة النصر", art: "Surah An-Nasr", preload: "metadata" },
            { artist: "111", src: "http://www.ummahnet.com/maariful-Quran/android/111.mp3", title: "سورة المسد", art: "Surah Al-Masadd", preload: "metadata" },
            { artist: "112", src: "http://www.ummahnet.com/maariful-Quran/android/112.mp3", title: "سورة الإخلاص", art: "Surah Al-Ikhlas", preload: "metadata" },
            { artist: "113", src: "http://www.ummahnet.com/maariful-Quran/android/113.mp3", title: "سورة الفلق", art: "Surah Al-Falaq", preload: "metadata" },
            { artist: "114", src: "http://www.ummahnet.com/maariful-Quran/android/114.mp3", title: "سورة الناس", art: "Surah An-Nas", preload: "metadata" },
            { artist: "115", src: "http://www.ummahnet.com/maariful-Quran/android/115.mp3", title: "دعاء تکمیل قرآن", art: "Dua-e-Takmeel-e-Quran", preload: "metadata" }
        ];
    }
    //end of construction
    AudioPage.prototype.gotoPlayAudio = function (item) {
        //alert(JSON.stringify(item));
        /*  this.navCtrl.push(PlayAudioPage,item).then(() => {
            const index = this.viewCtrl.index;
            this.navCtrl.remove(index);
            }); */
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__play_audio_play_audio__["a" /* PlayAudioPage */], item);
    };
    AudioPage.prototype.checkAudioNumber = function () {
        this.storage.get("AudioFileNumber").then(function (data) {
            if (data == 1) {
                alert("its true");
                return true;
            }
        });
    };
    AudioPage.prototype.ionViewWillEnter = function () {
        var numbers = [0.5, 0.6, 0.7, 0.8, 0.9, 1, 2, 2.1, 2.2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115];
        for (var _i = 0, numbers_1 = numbers; _i < numbers_1.length; _i++) {
            var number = numbers_1[_i];
            this.fileExists(number);
        }
    };
    AudioPage.prototype.fileExists = function (item) {
        if (this.platform.is('ios')) {
            this.storageDirectory = cordova.file.documentsDirectory;
        }
        else if (this.platform.is('android')) {
            this.storageDirectory = cordova.file.applicationStorageDirectory;
        }
        this.file.checkFile(this.storageDirectory, item + ".mp3").then(function (files) {
            document.getElementById(item).style.display = "inline-block";
        }).catch(function (err) {
            console.log(err);
        });
    };
    return AudioPage;
}());
AudioPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-audio',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/audio/audio.html"*/'<ion-header >\n    <ion-navbar>\n      <ion-title>Audio (Urdu)</ion-title>\n    </ion-navbar>\n  </ion-header>\n  \n  <ion-content padding class="bgImg">\n   <!--\n      <ion-list>\n          <ion-item *ngFor="let track of myTracks">           \n            <h2>{{track.title}}</h2>\n            <span style="font-size:1em;">{{track.art}}</span>\n            <button ion-button (click)="currentTrack = track">Play</button><button ion-button (click)="add(track)">Add</button>\n          </ion-item>\n        </ion-list>\n      \n        <ion-list *ngIf="playlist.length > 0">\n          <ion-list-header no-lines inset>\n            PLAYLIST\n            <button ion-button clear item-right (click)="clear()">Clear</button>\n          </ion-list-header>\n          <ion-item *ngFor="let track of playlist; let i = index">\n            <h2>{{ track.title }}</h2>\n            <p>{{ track.artist }}</p>\n            <button ion-button icon-only item-end (click)="play(track, i)">\n                <ion-icon name="play"></ion-icon>\n              </button>\n          </ion-item>\n        </ion-list>\n\n        <hr> -->\n      <ion-list style="opacity:.9">\n        <ion-item *ngFor="let track of myTracks">\n          <ion-thumbnail item-left>\n            <button ion-button small  (click)="gotoPlayAudio(track)"><ion-icon name="play">  Play</ion-icon></button> <div>#{{track.artist}}</div>\n            <div id="{{track.artist}}" item-end style="font-size:.9em" style="display: none;"> <ion-icon name="checkbox"  color="dark"  > Offline</ion-icon></div>\n          \n          </ion-thumbnail> \n          <h1 class="urduTxt fnt">{{track.title}}</h1> \n          <div style="font-size:.9em;text-align:right !important;">{{track.art}}</div>\n\n          \n          <!--<div>\n          <button ion-button item-end (click)="add(track)"><ion-icon name="bookmark">  Bookmark</ion-icon></button>\n          \n          </div>-->\n        </ion-item>\n      </ion-list>\n  \n       \n    <!--\n    <div ion-fixed class="fixed">    \n    <audio-track #audioTrack [track]="currentTrack" [autoplay]="true" (onFinish)="onTrackFinished($event)">\n      <div style="display: flex">\n        <button ion-button icon-only (click)="audioTrack.canPlay ? audioTrack.play() : next()"><ion-icon name="play"></ion-icon></button>\n        <button ion-button icon-only (click)="audioTrack.pause()"><ion-icon name="pause"></ion-icon></button>\n        <button ion-button icon-only (click)="next()"><ion-icon name="skip-forward"></ion-icon></button>\n        <audio-track-progress-bar duration progress [audioTrack]="audioTrack" style="width: 100%; margin: 0 10px"></audio-track-progress-bar>\n      </div>\n      <div style="display: flex; justify-content: center; height: 60px;">\n        <div *ngIf="audioTrack && audioTrack.hasLoaded"><em>{{ audioTrack?.title }}</em></div>\n        <ion-spinner *ngIf="audioTrack && audioTrack.isLoading"></ion-spinner>\n      </div>\n    </audio-track>\n  </div> \n-->\n     \n          \n  </ion-content>'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/audio/audio.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_2__ionic_native_file__["a" /* File */]],
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */]])
], AudioPage);

//# sourceMappingURL=audio.js.map

/***/ }),

/***/ 48:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BookmarksPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__view_pdf_view_pdf__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__play_audio_play_audio__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_google_analytics__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the BookmarksPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var BookmarksPage = BookmarksPage_1 = (function () {
    function BookmarksPage(ga, viewCtrl, modalCtrl, navCtrl, navParams, storage) {
        this.ga = ga;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.arr = [];
        this.arrAudio = [];
        this.yesBookmarks = false;
        //this.arrAudio = this.navParams.data;
        this.ga.trackEvent("Bookmark", "Bookmark Dashboard", "label", 1, true);
        if (this.navParams.data.src) {
            //this.arrAudio = "{'src':'"+this.navParams.get('src')+"', 'artist':'"+this.navParams.get('artist')+"', 'title':'"+this.navParams.get('title')+"', 'art':'"+this.navParams.get('art')+"'}";      
            this.arrAudio = navParams.data;
            this.yesBookmarks = true;
        }
    }
    BookmarksPage.prototype.mySplit = function (string, nb) {
        this.stg = string.split('-');
        return this.stg[nb];
    };
    BookmarksPage.prototype.mySplitOtherBook = function (string, nb) {
        this.stg = string.split('$');
        return this.stg[nb];
    };
    BookmarksPage.prototype.mySplitVolume = function (string, nb) {
        this.stg = string.split(':');
        return this.stg[nb];
    };
    BookmarksPage.prototype.myAudioSplit = function (string, nb) {
        this.stg = string.split("#");
        return this.stg[nb];
    };
    // event fire if 1st load or cached page
    BookmarksPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        // this.navCtrl.setRoot(this.navCtrl.getActive().component);
        this.arr = [];
        this.storage.forEach(function (key, value) {
            _this.yesBookmarks = true;
            if (_this.myAudioSplit(key, 2) == 'audio') {
                _this.arrAudio = { src: _this.myAudioSplit(key, 0), artist: _this.myAudioSplit(key, 3), title: value, art: _this.myAudioSplit(key, 1), preload: "metadata", bookMark: "yes" };
                //'{"src":"'+this.myAudioSplit(key,0)+'","artist":"0.1","title":"'+value+'", "art":"'+this.myAudioSplit(key,1)+'","preload":"metadata"}';      
                // console.log("arrAudio Value:"+JSON.stringify(this.arrAudio)+"=====");
            }
            _this.arr.push({ name: value, value: key });
            // arr.push(value);
        });
    };
    BookmarksPage.prototype.ionViewDidLoad = function () {
        //console.log('ionViewDidLoad BookmarksPage');       
    };
    BookmarksPage.prototype.ionViewWillEnter = function () {
        // console.log("anout to enter");
    };
    BookmarksPage.prototype.openAudio = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__play_audio_play_audio__["a" /* PlayAudioPage */], item);
        /*this.navCtrl.push(PlayAudioPage,item).then(() => {
          const index = this.viewCtrl.index;
          this.navCtrl.remove(index);
          });*/
    };
    BookmarksPage.prototype.openPDF = function (item, lang, vol) {
        // this.navCtrl.push(ViewPdfPage, {pdfLink: item});
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__view_pdf_view_pdf__["a" /* ViewPdfPage */], {
            displayData: {
                pdfSource: {
                    url: item,
                    lang: lang,
                    pageNumber: vol,
                }
            }
        });
        modal.present();
    };
    BookmarksPage.prototype.openPDFBookmarks = function (item, lang, page, vol) {
        // this.navCtrl.push(ViewPdfPage, {pdfLink: item});
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__view_pdf_view_pdf__["a" /* ViewPdfPage */], {
            displayData: {
                pdfSource: {
                    url: item,
                    lang: lang,
                    pageNumber: page,
                    vol: vol
                }
            }
        });
        modal.present();
    };
    BookmarksPage.prototype.deleteBookmark = function (key) {
        var _this = this;
        this.storage.remove(key);
        this.navCtrl.push(BookmarksPage_1).then(function () {
            var index = _this.viewCtrl.index;
            _this.navCtrl.remove(index);
        });
    };
    return BookmarksPage;
}());
BookmarksPage = BookmarksPage_1 = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-bookmarks',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/bookmarks/bookmarks.html"*/'<!--\n  Generated template for the BookmarksPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar >\n    <ion-title>My Bookmarks</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding class="bgImg">\n    <div *ngIf="yesBookmarks">    \n        <ion-list>\n        <ion-item-divider color="light"><ion-icon name="volume-up"> Urdu (Audio)</ion-icon></ion-item-divider>\n        <div *ngFor="let bookMarks of arr">\n            <div *ngIf = "myAudioSplit(bookMarks.value,2) ==\'audio\'">             \n              <ion-item>\n                  <h1>{{myAudioSplit(bookMarks.value,1)}}</h1>  \n                  <h3>{{bookMarks.name}}</h3>  \n                  <!--  <button ion-button clear item-end (click)="openPDF(mySplit(bookMarks.id,0),\'en\',mySplit(bookMarks.id,1))">View</button> -->\n                  <!--<button ion-button item-start (click)="openAudio1(myAudioSplit(bookMarks.value,0),bookMarks.name)">Open</button>      -->\n                  <button ion-button item-start (click)="openAudio(arrAudio)">Open</button> \n                  <button ion-button item-end color="danger" (click)="deleteBookmark(bookMarks.name)">x Delete</button>\n              </ion-item>\n            </div>\n        </div>\n        \n        <ion-item-divider color="light"><ion-icon name="book"> Urdu (PDF)</ion-icon></ion-item-divider>\n          <div *ngFor="let bookMarks of arr">\n            <div *ngIf = "mySplit(bookMarks.value,2) ==\'ur\'">             \n              <ion-item>\n                  <h1>{{bookMarks.name}}</h1>             \n                  <h4>Page: {{mySplit(bookMarks.value,1)}}</h4>\n                  <!--  <button ion-button clear item-end (click)="openPDF(mySplit(bookMarks.id,0),\'en\',mySplit(bookMarks.id,1))">View</button> -->\n                  <button ion-button item-start (click)="openPDFBookmarks(mySplit(bookMarks.value,0),mySplit(bookMarks.value,2), mySplit(bookMarks.value,1),mySplitVolume(bookMarks.name,0))">Open</button>           \n                  <button ion-button item-end color="danger" (click)="deleteBookmark(bookMarks.name)">x Delete</button>\n              </ion-item>\n            </div>\n          </div>\n          <ion-item-divider color="light"><ion-icon name="book"> English (PDF)</ion-icon></ion-item-divider>\n          <div *ngFor="let bookMarks of arr">\n            <div *ngIf ="mySplit(bookMarks.value,2)==\'en\'">             \n              <ion-item>\n                  <h2>{{bookMarks.name}}</h2>             \n                  <h4>Page: {{mySplit(bookMarks.value,1)}}</h4>\n                  <!--  <button ion-button clear item-end (click)="openPDF(mySplit(bookMarks.id,0),\'en\',mySplit(bookMarks.id,1))">View</button> -->\n                  <button ion-button item-start (click)="openPDFBookmarks(mySplit(bookMarks.value,0),mySplit(bookMarks.value,2), mySplit(bookMarks.value,1),mySplitVolume(bookMarks.name,1))">Open</button>           \n                  <button ion-button item-end color="danger" (click)="deleteBookmark(bookMarks.name)">x Delete</button>\n              </ion-item>\n            </div>\n          </div>\n          <ion-item-divider color="light"><ion-icon name="book"> বাংলা (PDF)</ion-icon></ion-item-divider>\n          <div *ngFor="let bookMarks of arr">\n            <div *ngIf ="mySplit(bookMarks.value,2)==\'ba\'">             \n              <ion-item>\n                  <h2>{{bookMarks.name}}</h2>             \n                  <h4>Page: {{mySplit(bookMarks.value,1)}}</h4>\n                  <!--  <button ion-button clear item-end (click)="openPDF(mySplit(bookMarks.id,0),\'en\',mySplit(bookMarks.id,1))">View</button> -->\n                  <button ion-button item-start (click)="openPDFBookmarks(mySplit(bookMarks.value,0),mySplit(bookMarks.value,2), mySplit(bookMarks.value,1),mySplitVolume(bookMarks.name,0))">Open</button>           \n                  <button ion-button item-end color="danger" (click)="deleteBookmark(bookMarks.name)">x Delete</button>\n              </ion-item>\n            </div>\n          </div>\n          <ion-item-divider color="light"><ion-icon name="book"> Other Books (PDF)</ion-icon></ion-item-divider>\n          <div *ngFor="let bookMarks of arr">\n            <div *ngIf ="mySplitOtherBook(bookMarks.value,2)==\'otherBook\'">             \n              <ion-item>\n                  <h2>{{bookMarks.name}}</h2>             \n                  <h4>Page: {{mySplitOtherBook(bookMarks.value,1)}}</h4>\n                  <!--  <button ion-button clear item-end (click)="openPDF(mySplit(bookMarks.id,0),\'en\',mySplit(bookMarks.id,1))">View</button> -->\n                  <button ion-button item-start (click)="openPDFBookmarks(mySplitOtherBook(bookMarks.value,0),mySplitOtherBook(bookMarks.value,2), mySplitOtherBook(bookMarks.value,1),bookMarks.name)">Open</button>           \n                  <button ion-button item-end color="danger" (click)="deleteBookmark(bookMarks.name)">x Delete</button>\n              </ion-item>\n            </div>\n          </div>\n\n          </ion-list>      \n                 \n    </div>\n    \n    <div *ngIf="!yesBookmarks">\n      <h3 padding style="color:red">You dont have any bookmarks yet!</h3>\n    </div>\n\n   \n\n</ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/bookmarks/bookmarks.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_5__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ViewController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */]])
], BookmarksPage);

var BookmarksPage_1;
//# sourceMappingURL=bookmarks.js.map

/***/ }),

/***/ 59:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PlayAudioPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_transfer__ = __webpack_require__(168);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_google_analytics__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__bookmarks_bookmarks__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__audio_audio__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_network__ = __webpack_require__(35);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var PlayAudioPage = (function () {
    function PlayAudioPage(network, ga, alertCtrl, platform, transfer, file, storage, navParamsRoot, navCtrl, _cdRef, loadingController) {
        this.network = network;
        this.ga = ga;
        this.alertCtrl = alertCtrl;
        this.platform = platform;
        this.transfer = transfer;
        this.file = file;
        this.storage = storage;
        this.navParamsRoot = navParamsRoot;
        this.navCtrl = navCtrl;
        this._cdRef = _cdRef;
        this.loadingController = loadingController;
        this.storageDirectory = '';
        this.playlist = [];
        this.currentIndex = -1;
        this.something = [];
        this.netStatus = true;
        this.isBookmark = "no";
        this.ga.trackEvent("Audio", this.navParamsRoot.data.title, "label", 1, true);
        // assign all param here
        this.navParams = this.navParamsRoot.data;
        if (this.navParamsRoot.data.bookMark == "yes") {
            this.isBookmark = this.navParamsRoot.data.bookMark;
        }
    }
    // Fires everytime 
    PlayAudioPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        if (this.platform.is('ios')) {
            this.storageDirectory = cordova.file.documentsDirectory;
        }
        else if (this.platform.is('android')) {
            this.storageDirectory = cordova.file.applicationStorageDirectory;
        }
        if (this.network.type !== 'none') {
            this.netStatus = true;
        }
        else {
            this.netStatus = false;
        }
        var loading = this.loadingController.create({ content: "Bismillah ! Audio loading, please wait..." });
        loading.present();
        var fileTransfer = this.transfer.create();
        this.file.checkFile(this.storageDirectory, this.navParams.artist + ".mp3").then(function (files) {
            _this.currentTrack = { artist: _this.navParams.artis, src: _this.storageDirectory + _this.navParams.artist + ".mp3", title: _this.navParams.title, art: _this.navParams.art, preload: "metadata" };
            loading.present().then(function () {
                loading.dismiss();
                //this.currentTrack.src = this.storageDirectory + this.currentTrack.src;
                _this.play(_this.currentTrack, 0);
                _this.autoplay = true;
            });
        }).catch(function (err) {
            // Play Online Now
            _this.currentTrack = _this.navParams;
            // Check Network Connection
            if (_this.netStatus == false) {
                var alertNetwork = _this.alertCtrl.create({
                    title: "Network Connection Error !",
                    subTitle: 'You need to open this file atleast once while connected to network to make it work offline. Please turn ON network and try again.',
                    buttons: [
                        {
                            text: "Ok",
                            handler: function () {
                                loading.present().then(function () {
                                    loading.dismiss();
                                });
                                _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__audio_audio__["a" /* AudioPage */]);
                            }
                        }
                    ]
                });
                return alertNetwork.present();
            }
            else {
                // play now 
                _this.play(_this.currentTrack, 0);
                _this.autoplay = true;
                loading.present().then(function () {
                    loading.dismiss();
                });
                fileTransfer.download(_this.currentTrack.src, _this.storageDirectory + _this.currentTrack.artist + ".mp3").then(function (entry) {
                    var alertSuccess = _this.alertCtrl.create({
                        title: "File Download Successfully",
                        subTitle: 'Good News ! Now you can listen this audio offline.',
                        buttons: ['Ok']
                    });
                    _this.storage.set("AudioFileNumber", _this.currentTrack.artist);
                    return alertSuccess.present();
                }, function (error) {
                    // handle error
                    _this.currentTrack = _this.navParams;
                    _this.play(_this.currentTrack, 0);
                    _this.autoplay = true;
                    loading.present().then(function () {
                        loading.dismiss();
                    });
                });
            } // end of Else
        });
        // end download
    };
    PlayAudioPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad PlayAudioPage');     
    };
    PlayAudioPage.prototype.ionViewCanLeave = function () {
        this.clickA();
        // this.audioProvider.pause(this.currentIndex);
    };
    PlayAudioPage.prototype.clickA = function () {
        document.getElementById('pauseAudio').click();
    };
    PlayAudioPage.prototype.play = function (track, index) {
        this.currentTrack = track;
        this.currentIndex = index;
    };
    PlayAudioPage.prototype.next = function () {
        // if there is a next track on the list play it
        if (this.playlist.length > 0 && this.currentIndex >= 0 && this.currentIndex < this.playlist.length - 1) {
            var i = this.currentIndex + 1;
            var track = this.playlist[i];
            this.play(track, i);
            this._cdRef.detectChanges(); // needed to ensure UI update
        }
        else if (this.currentIndex == -1 && this.playlist.length > 0) {
            // if no track is playing then start with the first track on the list
            this.play(this.playlist[0], 0);
        }
    };
    PlayAudioPage.prototype.onTrackFinished = function (track) {
        this.next();
    };
    PlayAudioPage.prototype.clear = function () {
        this.playlist = [];
    };
    PlayAudioPage.prototype.bookMarkAudio = function () {
        this.ga.trackEvent("Audio Bookmark", this.currentTrack.title, "label", 1, true);
        this.storage.set(this.currentTrack.art, this.currentTrack.src + "#" + this.currentTrack.title + "#audio");
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__bookmarks_bookmarks__["a" /* BookmarksPage */], this.currentTrack);
    };
    return PlayAudioPage;
}());
PlayAudioPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-play-audio',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/play-audio/play-audio.html"*/'<!--\n  Generated template for the PlayAudioPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>Urdu (Audio)</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding class="cnt bgImg">\n  <div *ngIf="audioTrack && audioTrack.hasLoaded">\n    <h1>{{ audioTrack?.title }}</h1>\n    <h1>{{ audioTrack?.art }}</h1>\n  </div>\n  <audio-track #audioTrack [track]="currentTrack" [autoplay]="true" (onFinish)="onTrackFinished($event)">\n      <div>\n        <button ion-button icon-only large (click)="audioTrack.canPlay ? audioTrack.play() : next()"><ion-icon name="play"></ion-icon></button>\n        <button ion-button icon-only large (click)="audioTrack.pause()" id="pauseAudio"><ion-icon name="pause"></ion-icon></button>\n       <!-- <button ion-button icon-only (click)="next()"><ion-icon name="skip-forward"></ion-icon></button> -->\n       </div>\n      <div style="width: 80%;">\n       <audio-track-progress-bar duration progress [audioTrack]="audioTrack" style="width: 100%; margin: 10px 5px"></audio-track-progress-bar>       \n      </div>\n      <div style="display: flex; justify-content: center; height: 60px;">        \n        <ion-spinner *ngIf="audioTrack && audioTrack.isLoading"></ion-spinner>\n      </div>\n      <p></p>\n      <button ion-button full (click)="bookMarkAudio()" *ngIf="isBookmark == \'no\'"><ion-icon name="bookmark">  Bookmark</ion-icon></button>\n    </audio-track>\n   \n</ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/play-audio/play-audio.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_3__ionic_native_transfer__["a" /* Transfer */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_transfer__["b" /* TransferObject */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_8__ionic_native_network__["a" /* Network */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_transfer__["a" /* Transfer */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_0__angular_core__["ChangeDetectorRef"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */]])
], PlayAudioPage);

//# sourceMappingURL=play-audio.js.map

/***/ }),

/***/ 60:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EngPdfPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__view_pdf_view_pdf__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_file__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var EngPdfPage = (function () {
    function EngPdfPage(platform, file, ga, modalCtrl, navCtrl, navParams, viewCtrl) {
        this.platform = platform;
        this.file = file;
        this.ga = ga;
        this.modalCtrl = modalCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.storageDirectory = '';
        this.checkBoomark1 = false;
        this.checkBoomark2 = false;
        this.checkBoomark3 = false;
        this.checkBoomark4 = false;
        this.checkBoomark5 = false;
        this.checkBoomark6 = false;
        this.checkBoomark7 = false;
        this.checkBoomark8 = false;
        this.ga.trackEvent("English", "English Dashboard", "label", 1, true);
    }
    EngPdfPage.prototype.checkBoomark = function (item) {
        var _this = this;
        if (this.platform.is('ios')) {
            this.storageDirectory = cordova.file.documentsDirectory;
        }
        else if (this.platform.is('android')) {
            this.storageDirectory = cordova.file.applicationStorageDirectory;
        }
        this.file.checkFile(this.storageDirectory, "en/" + item + ".pdf").then(function (files) {
            if (item == 1) {
                _this.checkBoomark1 = true;
            }
            if (item == 2) {
                _this.checkBoomark2 = true;
            }
            if (item == 3) {
                _this.checkBoomark3 = true;
            }
            if (item == 4) {
                _this.checkBoomark4 = true;
            }
            if (item == 5) {
                _this.checkBoomark5 = true;
            }
            if (item == 6) {
                _this.checkBoomark6 = true;
            }
            if (item == 7) {
                _this.checkBoomark7 = true;
            }
            if (item == 8) {
                _this.checkBoomark8 = true;
            }
        }).catch(function (err) {
        });
    };
    EngPdfPage.prototype.openPDF = function (item, lang, vol) {
        // this.navCtrl.push(ViewPdfPage, {pdfLink: item});
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__view_pdf_view_pdf__["a" /* ViewPdfPage */], {
            displayData: {
                pdfSource: {
                    url: item,
                    lang: lang,
                    vol: vol,
                }
            }
        });
        modal.present();
    };
    EngPdfPage.prototype.ionViewDidEnter = function () {
        var numbers = [1, 2, 3, 4, 5, 6, 7, 8];
        for (var _i = 0, numbers_1 = numbers; _i < numbers_1.length; _i++) {
            var number = numbers_1[_i];
            this.checkBoomark(number);
        }
    };
    EngPdfPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad EngPdfPage');
    };
    return EngPdfPage;
}());
EngPdfPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-eng-pdf',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/eng-pdf/eng-pdf.html"*/'<!--\n  Generated template for the EngPdfPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title >English</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding class="bgImg">\n    \n        <button class="bgColor" ion-item (click)="openPDF(\'en/1.pdf\',\'en\',\'1\')">\n           <h2> <ion-icon name="book"></ion-icon>  Volume 1 </h2><span class="surahCol">Surah Al-Fatiha &amp; Surah Al-Baqara</span>  \n           <div *ngIf="checkBoomark1 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n        </button> \n        <button class="bgColor" ion-item (click)="openPDF(\'en/2.pdf\', \'en\', \'2\')">\n            <h2> <ion-icon name="book"></ion-icon>  Volume 2 </h2><span class="surahCol">Surah Al-Imran to Surah An-Nisa</span> \n            <div *ngIf="checkBoomark2 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox"  color="dark" > Offline</ion-icon></div>\n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'en/3.pdf\', \'en\', \'3\')">\n            <h2> <ion-icon name="book"></ion-icon>  Volume 3 </h2><span class="surahCol">Surah Al-Ma\'ida to Surah Al-A\'raf</span> \n            <div *ngIf="checkBoomark3 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox"  color="dark"  > Offline</ion-icon></div>\n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'en/4.pdf\', \'en\', \'4\')">\n            <h2> <ion-icon name="book"></ion-icon>  Volume 4 </h2><span class="surahCol">Surah Al-Anfal to Surah Hud</span> \n            <div *ngIf="checkBoomark4 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox"  color="dark"  > Offline</ion-icon></div>\n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'en/5.pdf\', \'en\', \'5\')">\n            <h2> <ion-icon name="book"></ion-icon>  Volume 5 </h2><span class="surahCol">Surah Yusuf to Surah Al-Kahf</span> \n            <div *ngIf="checkBoomark5 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox"  color="dark"  > Offline</ion-icon></div>\n         </button>  \n         <button class="bgColor"  ion-item (click)="openPDF(\'en/6.pdf\', \'en\', \'6\')">\n            <h2> <ion-icon name="book"></ion-icon>  Volume 6 </h2><span class="surahCol">Surah Maryam to Surah Ar-Rum</span> \n            <div *ngIf="checkBoomark6 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>\n         </button> \n         <button class="bgColor"  ion-item (click)="openPDF(\'en/7.pdf\', \'en\', \'7\')">\n            <h2> <ion-icon name="book"></ion-icon>  Volume 7 </h2><span class="surahCol">Surah Luqman to Surah Al-Ahqaf</span> \n            <div *ngIf="checkBoomark7 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>\n         </button> \n         <button  class="bgColor"  ion-item (click)="openPDF(\'en/8.pdf\', \'en\', \'8\')">\n            <h2> <ion-icon name="book"></ion-icon>  Volume 8 </h2><span class="surahCol">Surah Muhammad to Surah Al-Nas</span>            \n            <div *ngIf="checkBoomark8 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>\n         </button> \n</ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/eng-pdf/eng-pdf.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_3__ionic_native_file__["a" /* File */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ViewController */]])
], EngPdfPage);

//# sourceMappingURL=eng-pdf.js.map

/***/ }),

/***/ 61:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UrPdfPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__view_pdf_view_pdf__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_file__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__ = __webpack_require__(13);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var UrPdfPage = (function () {
    function UrPdfPage(file, platform, ga, modalCtrl, navCtrl, navParams) {
        this.file = file;
        this.platform = platform;
        this.ga = ga;
        this.modalCtrl = modalCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storageDirectory = '';
        this.checkBoomark1 = false;
        this.checkBoomark2 = false;
        this.checkBoomark3 = false;
        this.checkBoomark4 = false;
        this.checkBoomark5 = false;
        this.checkBoomark6 = false;
        this.checkBoomark7 = false;
        this.checkBoomark8 = false;
        this.ga.trackEvent("Urdu", "Urdu Dashboard", "label", 1, true);
    }
    UrPdfPage.prototype.openPDF = function (item, lang, vol, page) {
        // this.navCtrl.push(ViewPdfPage, {pdfLink: item});
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__view_pdf_view_pdf__["a" /* ViewPdfPage */], {
            displayData: {
                pdfSource: {
                    url: item,
                    lang: lang,
                    vol: vol,
                    pageNumber: page
                }
            }
        });
        modal.present();
    };
    UrPdfPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad UrPdfPage');
    };
    UrPdfPage.prototype.ionViewDidEnter = function () {
        var numbers = [1, 2, 3, 4, 5, 6, 7, 8];
        for (var _i = 0, numbers_1 = numbers; _i < numbers_1.length; _i++) {
            var number = numbers_1[_i];
            this.checkBoomark(number);
        }
    };
    UrPdfPage.prototype.checkBoomark = function (item) {
        var _this = this;
        if (this.platform.is('ios')) {
            this.storageDirectory = cordova.file.documentsDirectory;
        }
        else if (this.platform.is('android')) {
            this.storageDirectory = cordova.file.applicationStorageDirectory;
        }
        this.file.checkFile(this.storageDirectory, "ur/" + item + ".pdf").then(function (files) {
            if (item == 1) {
                _this.checkBoomark1 = true;
            }
            if (item == 2) {
                _this.checkBoomark2 = true;
            }
            if (item == 3) {
                _this.checkBoomark3 = true;
            }
            if (item == 4) {
                _this.checkBoomark4 = true;
            }
            if (item == 5) {
                _this.checkBoomark5 = true;
            }
            if (item == 6) {
                _this.checkBoomark6 = true;
            }
            if (item == 7) {
                _this.checkBoomark7 = true;
            }
            if (item == 8) {
                _this.checkBoomark8 = true;
            }
        }).catch(function (err) {
        });
        /*
        this.storage.forEach((key, value) => {
         if(value ==item+": معارف القرآن  جلد"){
           if(item ==1){ this.checkBoomark1 = true;}
           if(item ==2){ this.checkBoomark1 = true;}
           if(item ==3){ this.checkBoomark2 = true;}
           if(item ==4){ this.checkBoomark4 = true;}
           if(item ==5){ this.checkBoomark5 = true;}
           if(item ==6){ this.checkBoomark6 = true;}
           if(item ==7){ this.checkBoomark7 = true;}
           if(item ==8){ this.checkBoomark8 = true;}
     
         }
       }); */
    };
    return UrPdfPage;
}());
UrPdfPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* IonicPage */])(),
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-ur-pdf',template:/*ion-inline-start:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/ur-pdf/ur-pdf.html"*/'<!--\n  Generated template for the UrPdfPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>Urdu</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding class="bgImg">\n    <ion-list >\n        <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/1.pdf\', \'ur\', \'۱\', 6)">\n           <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۱ </ion-icon>    جلد </h2><span class="surahCol font15"> سورة الفاتحۃ  -  سورة البقرۃ </span>\n           <div *ngIf="checkBoomark1 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n        </button> \n        <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/2.pdf\', \'ur\', \'۲\', 2)">\n            <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۲ </ion-icon>    جلد </h2><span class="surahCol font15"> سورة آل عمران -  سورة النساء</span>\n            <div *ngIf="checkBoomark2 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/3.pdf\', \'ur\', \'۳\', 2)">\n            <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۳ </ion-icon>  جلد </h2><span class="surahCol font15"> سورة المائدۃ - سورة الاعراف</span>\n            <div *ngIf="checkBoomark3 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/4.pdf\', \'ur\', \'۴\', 2)">\n            <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۴ </ion-icon>    جلد </h2><span class="surahCol font15">   سورة الانفال - سورة ھود </span>\n            <div *ngIf="checkBoomark4 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/5.pdf\', \'ur\', \'۵\', 2)">\n            <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۵ </ion-icon>    جلد </h2><span class="surahCol font15"> سورة یوسف - سورة الکہف</span>\n            <div *ngIf="checkBoomark5 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/6.pdf\', \'ur\', \'۶\', 2)">\n            <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۶ </ion-icon>    جلد </h2><span class="surahCol font15"> سورةمریم - سورة الروم</span>\n            <div *ngIf="checkBoomark6 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/7.pdf\', \'ur\', \'۷\',2)">\n            <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۷ </ion-icon>    جلد </h2><span class="surahCol font15"> سورة لقمان - سورة الاحقاف </span>\n            <div *ngIf="checkBoomark7 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n         <button class="bgColor surahColUrdu" ion-item (click)="openPDF(\'ur/8.pdf\', \'ur\', \'۸\',2)">          \n            <h2 class="surahColUrduHeader"> <ion-icon name="book"> ۸ </ion-icon>    جلد </h2><span class="surahCol font15">سورةمحمد - سورة الناس </span>\n            <div *ngIf="checkBoomark8 == true" item-end style="font-size:.9em"> <ion-icon name="checkbox" color="dark" > Offline</ion-icon></div>         \n         </button> \n    </ion-list>\n</ion-content>\n'/*ion-inline-end:"/Users/mazam/Apps/MaarifulQuran6.0/src/pages/ur-pdf/ur-pdf.html"*/,
        providers: [__WEBPACK_IMPORTED_MODULE_3__ionic_native_file__["a" /* File */]]
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_google_analytics__["a" /* GoogleAnalytics */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */]])
], UrPdfPage);

//# sourceMappingURL=ur-pdf.js.map

/***/ })

},[222]);
//# sourceMappingURL=main.js.map